<?php
/*
Template name: Black Friday Template 2
*/

get_header();
?>

<?php
$campaign_id = get_option('mtbf_active_campaign2');
$mtbf_excluded_categories = get_option('mtbf_excluded_categories');


$mtbf_header_logo = get_post_meta( $campaign_id, 'mtbf_header_logo', true );
$mtbf_header_logo_url = get_post_meta( $campaign_id, 'mtbf_header_logo_url', true );
$mtbf_header_bg = get_post_meta( $campaign_id, 'mtbf_header_bg', true );
$mtbf_header_back_to_website_url = get_post_meta( $campaign_id, 'mtbf_header_back_to_website_url', true );
$mtbf_header_back_to_website_url_label = get_post_meta( $campaign_id, 'mtbf_header_back_to_website_url_label', true );

$mtbf_after_header_bg = get_post_meta( $campaign_id, 'mtbf_after_header_bg', true );

$mtbf_body_bg = get_post_meta( $campaign_id, 'mtbf_body_bg', true );
$mtbf_body_bg_color = get_post_meta( $campaign_id, 'mtbf_body_bg_color', true );

$mtbf_archive_grid_prods_per_row = get_post_meta( $campaign_id, 'mtbf_archive_grid_prods_per_row', true );
$mtbf_archive_grid_prods_limit = get_post_meta( $campaign_id, 'mtbf_archive_grid_prods_limit', true );

/* Extra Options ( CSS Classes/IDs for Blocks to Hide ) */
$mtbf_extra_classes_to_hide = get_post_meta( $campaign_id, 'mtbf_extra_classes_to_hide', true );

$mtbf_png_graphic = get_post_meta( $campaign_id, 'mtbf_png_graphic', true );
// TIMING
$mtbf_datetime_start_date = get_post_meta( $campaign_id, 'mtbf_datetime_start_date', true );
$mtbf_datetime_start_time = get_post_meta( $campaign_id, 'mtbf_datetime_start_time', true );
$mtbf_datetime_end_date = get_post_meta( $campaign_id, 'mtbf_datetime_end_date', true );
$mtbf_datetime_end_time = get_post_meta( $campaign_id, 'mtbf_datetime_end_time', true );

$dateStart = date("Y/m/d H:i:s", strtotime($mtbf_datetime_start_date . ' ' . $mtbf_datetime_start_time));
$dateEnd = date("Y/m/d H:i:s", strtotime($mtbf_datetime_end_date . ' ' . $mtbf_datetime_end_time));

$now = current_time('timestamp');

if (isset($mtbf_archive_grid_prods_per_row) && !empty($mtbf_archive_grid_prods_per_row)) {
    $columns = $mtbf_archive_grid_prods_per_row;
}else{
    $columns = '4';
}
if (isset($mtbf_archive_grid_prods_limit) && !empty($mtbf_archive_grid_prods_limit)) {
    $limit = $mtbf_archive_grid_prods_limit;
}else{
    $limit = '20';
}

?>


<?php if(get_post_status($campaign_id) !== 'publish') { return; } ?>

<style type="text/css">
    body <?php echo esc_html($mtbf_extra_classes_to_hide); ?> {
        display: none !important;
    }
    #header {
        display: none;
    }
    .shop-page-title {
        display: none;
    }
    html{
        background-color: <?php echo esc_attr($mtbf_body_bg_color); ?> !important;
        background-image: url(<?php echo esc_url($mtbf_body_bg); ?>);
        background-repeat: no-repeat;
    }
    body{
        background: transparent;
    }
    .product-small.box {
        background-color: #fff;
    }
    .product-small.box .box-text {
        padding-left: 1em;
        padding-right: 1em;
    }

</style>
<div class="top-bf-header col-md-12">
        <div class="navbar-header col-md-6 col-sm-3 col-xs-6">
            <h1 class="logo logo-image">
                <?php if(!empty($mtbf_header_logo)) { ?>
                    <a href="<?php echo esc_url($mtbf_header_logo_url); ?>">
                        <img src="<?php echo esc_url($mtbf_header_logo); ?>" alt="<?php echo esc_attr(get_bloginfo( 'name' )); ?>">
                    </a>
                <?php } ?>
            </h1>
        </div>
        <div class="navbar-header col-md-6 col-sm-3 col-xs-6 text-right">
            <div class="back-website">
                <?php if(!empty($mtbf_header_back_to_website_url_label)) { ?>
                    <a href="<?php echo esc_url($mtbf_header_back_to_website_url); ?>"><?php esc_html_e($mtbf_header_back_to_website_url_label); ?></a>
                        <?php } ?>
                <?php if ( class_exists( 'WooCommerce' ) ) { ?>
                    <a href="<?php echo esc_url(wc_get_cart_url()); ?>"><i class="fa fa-shopping-cart"></i><?php echo esc_attr__('My Cart', 'mtbf');  ?>
                    <a class="cart-contents" href="<?php echo esc_url(wc_get_cart_url()); ?>" title="<?php esc_attr_e( 'View your shopping cart', 'ibid'); ?>">
                    <a href="<?php echo esc_url(get_permalink( get_option('woocommerce_myaccount_page_id') )); ?>"><i class="fa fa-user-circle"></i><?php echo esc_html__('My Account','mtbf'); ?></a>
                <?php } ?>
                </a>
            </div>
        </div>
                
</div>

<div class="black-friday">
    <nav class="navbar-blackgriday" id="blackgriday-main-head" style="background:<?php echo esc_attr($mtbf_header_bg); ?>">
        <div class="">
            <div class="row">
                
                <div class="mtbf-campaign-graphic col-md-12 col-sm-12 col-xs-12">
                    <?php if($now >= strtotime($dateStart) && $now <= strtotime($dateEnd)) { ?>
                        <?php if (isset($mtbf_png_graphic) && $mtbf_png_graphic != '') { ?>
                            <img src="<?php echo esc_url($mtbf_png_graphic); ?>" alt="<?php echo esc_attr__('Black Fridat', 'mtbf'); ?>" />
                        <?php } ?>
                    <?php } ?>
                </div>
                <div class="mtbf-campaign-remaining-time v2 col-md-12 col-sm-12 col-xs-12">
                    <?php
                    if($now < strtotime($dateStart)) {
                        echo "<p>".esc_html__('Campaign Will Start Soon', 'mtbf')."</p>";
                        echo do_shortcode('[mt-countdown date="'.esc_attr($dateStart).'"]');
                    } elseif($now >= strtotime($dateStart) && $now <= strtotime($dateEnd)) {
                        echo do_shortcode('[mt-countdown date="'.esc_attr($dateEnd).'"]');
                    }
                    ?>
                </div>
            </div>
        </div>
    </nav>

    <?php if($now < strtotime($dateStart)) { ?>

    <div class="high-padding">
        <div class="text-center mtbf-placeholder">
            <div class="row">
                <h1><?php echo esc_html('Black Friday is almost here!', 'mtbf'); ?></h1>
                <h3><?php echo esc_html('Bookmark this page and come back on ', 'mtbf'); ?><br/><em><?php echo esc_html(date(get_option('date_format'), strtotime($mtbf_datetime_start_date . ' ' . $mtbf_datetime_start_time))); ?></em><br/> <?php echo esc_html('to see all the surprises.', 'mtbf'); ?></h3>
            </div>
        </div>
    </div>

    <?php } elseif($now >= strtotime($dateStart) && $now <= strtotime($dateEnd)) {

        // Get parent product categories
        $parent_product_cats = get_terms( 
            'product_cat', 
            array( 
                'parent' => 0, 
                'orderby' => 'slug',
                'hide_empty' => 1,
            )
        );
         $parent_product = get_terms( 
            'product_cat', 
            array( 
                'orderby' => 'slug',
                'hide_empty' => 1,
            )
        );
    ?>

        <div class="high-padding">
            <div class="">
                <div class="row">
                    
                </div>
                <div id="bf-content" class="row section-products"> 
                    <?php do_action('mtfb_notice'); ?>
                    <div class="woocommerce-categ">
                        <div class="col-md-12 col-sm-12 col-xs-12">
                            <?php do_action('mtbf_navigation_tab'); ?>
                        </div>
                        <div class="col-md-12 col-sm-12 col-xs-12">
                            <div class="product-listings">
                                <?php 
                                    // Iterating through each parent categories (WP_Term Objects)
                                    if ($parent_product) {
                                        foreach ( $parent_product as $product_cat_obj ) {
                                            if (!in_array( $product_cat_obj->term_id, $mtbf_excluded_categories )) {
                                                echo '<div id="section-product-item-'.$product_cat_obj->term_id.'" class="section-product-item '.esc_html($product_cat_obj->name).'"  style="margin-bottom: 15px;">';
                                                    if (get_option('mtbf_products_type') == 'sale_products') {
                                                        echo do_shortcode('[products category="'.esc_attr($product_cat_obj->slug).'" on_sale="true" columns="'.esc_attr($columns).'" limit="'.esc_attr($limit).'"]');
                                                    }elseif (get_option('mtbf_products_type') == 'all_products') {
                                                        echo do_shortcode('[products category="'.esc_attr($product_cat_obj->slug).'" columns="'.esc_attr($columns).'" limit="'.esc_attr($limit).'"]');
                                                    }else{
                                                        echo do_shortcode('[products category="'.esc_attr($product_cat_obj->slug).'" columns="'.esc_attr($columns).'" limit="'.esc_attr($limit).'"]');
                                                    }

                                                echo '</div>';
                                            }
                                        }
                                    }
                                ?>
                            </div>
                        </div>
                    </div>
                    <div class="mtbf-campaign-footer col-md-12 col-sm-12 col-xs-12">
                            <?php if (isset($mtbf_after_header_bg) && $mtbf_after_header_bg != '') { ?>
                                <img src="<?php echo esc_url($mtbf_after_header_bg); ?>" alt="<?php echo esc_attr__('Black Friday', 'mtbf'); ?>" />
                            <?php } ?>
                    </div>
                </div>
            </div>
        </div>
    <?php } ?>
</div>
<?php get_footer(); ?>