<?php
/*
Template name: Black Friday
*/

get_header();
?>

<?php
$campaign_id = get_option('mtbf_active_campaign5');
$mtbf_excluded_categories = get_option('mtbf_excluded_categories');


$mtbf_header_logo = get_post_meta( $campaign_id, 'mtbf_header_logo', true );
$mtbf_header_logo_url = get_post_meta( $campaign_id, 'mtbf_header_logo_url', true );
$mtbf_header_bg = get_post_meta( $campaign_id, 'mtbf_header_bg', true );
$mtbf_header_back_to_website_url = get_post_meta( $campaign_id, 'mtbf_header_back_to_website_url', true );
$mtbf_header_back_to_website_url_label = get_post_meta( $campaign_id, 'mtbf_header_back_to_website_url_label', true );

$mtbf_after_header_bg = get_post_meta( $campaign_id, 'mtbf_after_header_bg', true );

$mtbf_body_bg = get_post_meta( $campaign_id, 'mtbf_body_bg', true );
$mtbf_body_bg_color = get_post_meta( $campaign_id, 'mtbf_body_bg_color', true );

$mtbf_archive_grid_prods_per_row = get_post_meta( $campaign_id, 'mtbf_archive_grid_prods_per_row', true );
$mtbf_archive_grid_prods_limit = get_post_meta( $campaign_id, 'mtbf_archive_grid_prods_limit', true );

/* Extra Options ( CSS Classes/IDs for Blocks to Hide ) */
$mtbf_extra_classes_to_hide = get_post_meta( $campaign_id, 'mtbf_extra_classes_to_hide', true );

$mtbf_png_graphic = get_post_meta( $campaign_id, 'mtbf_png_graphic', true );
// TIMING
$mtbf_datetime_start_date = get_post_meta( $campaign_id, 'mtbf_datetime_start_date', true );
$mtbf_datetime_start_time = get_post_meta( $campaign_id, 'mtbf_datetime_start_time', true );
$mtbf_datetime_end_date = get_post_meta( $campaign_id, 'mtbf_datetime_end_date', true );
$mtbf_datetime_end_time = get_post_meta( $campaign_id, 'mtbf_datetime_end_time', true );

$dateStart = date("Y/m/d H:i:s", strtotime($mtbf_datetime_start_date . ' ' . $mtbf_datetime_start_time));
$dateEnd = date("Y/m/d H:i:s", strtotime($mtbf_datetime_end_date . ' ' . $mtbf_datetime_end_time));

$now = current_time('timestamp');

if (isset($mtbf_archive_grid_prods_per_row) && !empty($mtbf_archive_grid_prods_per_row)) {
    $columns = $mtbf_archive_grid_prods_per_row;
}else{
    $columns = '4';
}
if (isset($mtbf_archive_grid_prods_limit) && !empty($mtbf_archive_grid_prods_limit)) {
    $limit = $mtbf_archive_grid_prods_limit;
}else{
    $limit = '20';
}

?>


<?php if(get_post_status($campaign_id) !== 'publish') { return; } ?>

<style type="text/css">
    body <?php echo esc_html($mtbf_extra_classes_to_hide); ?> {
        display: none !important;
    }
    #header {
        display: none;
    }
    .shop-page-title {
        display: none;
    }
    html{
        background-color: <?php echo esc_attr($mtbf_body_bg_color); ?> !important;
        background-image: url(<?php echo esc_url($mtbf_body_bg); ?>);
        background-repeat: no-repeat;
        background-size: cover;
    }
    body,
    .black-friday{
        background: transparent;
    }
    .product-small.box {
        background-color: #fff;
    }
    .product-small.box .box-text {
        padding-left: 1em;
        padding-right: 1em;
    }

</style>

<div class="black-friday">
    <nav class="navbar-blackgriday" id="blackgriday-main-head" style="background:transparent;">
        <div class="">
            <div class="row">
                <div class="navbar-header col-md-3 col-sm-3 col-xs-12">
                    <h1 class="logo logo-image">
                        <?php if(!empty($mtbf_header_logo)) { ?>
                            <a href="<?php echo esc_url($mtbf_header_logo_url); ?>">
                                <img src="<?php echo esc_url($mtbf_header_logo); ?>" alt="<?php echo esc_attr(get_bloginfo( 'name' )); ?>">
                            </a>
                        <?php } ?>
                    </h1>
                    
                </div>
                <div class="mtbf-campaign-graphic col-md-6 col-sm-4 col-xs-12">
                    <?php if($now >= strtotime($dateStart) && $now <= strtotime($dateEnd)) { ?>
                        <?php if (isset($mtbf_png_graphic) && $mtbf_png_graphic != '') { ?>
                            <img src="<?php echo esc_url($mtbf_png_graphic); ?>" alt="<?php echo esc_attr__('Black Fridat', 'mtbf'); ?>" />
                        <?php } ?>
                    <?php } ?>
                </div>
                <div class="mtbf-back-to col-md-3 col-sm-4 col-xs-12">
                    <div class="back-website">
                        <?php if(!empty($mtbf_header_back_to_website_url_label)) { ?>
                            <a href="<?php echo esc_url($mtbf_header_back_to_website_url); ?>"><?php esc_html_e($mtbf_header_back_to_website_url_label); ?></a>
                        <?php } ?>
                    </div>
                </div>
            </div>
            <div class="mtbf-campaign-remaining-time v2 col-md-12 col-sm-12 col-xs-12">
                    <?php
                    if($now < strtotime($dateStart)) {
                        echo "<p>".esc_html__('Campaign Will Start Soon', 'mtbf')."</p>";
                        echo do_shortcode('[mt-countdown date="'.esc_attr($dateStart).'"]');
                    } elseif($now >= strtotime($dateStart) && $now <= strtotime($dateEnd)) {
                        echo do_shortcode('[mt-countdown date="'.esc_attr($dateEnd).'"]');
                    }
                    ?>
                </div>
        </div>
    </nav>

    <?php if($now < strtotime($dateStart)) { ?>

    <div class="high-padding">
        <div class="text-center mtbf-placeholder">
            <div class="row">
                <h1><?php echo esc_html('Black Friday is almost here!', 'mtbf'); ?></h1>
                <h3><?php echo esc_html('Bookmark this page and come back on ', 'mtbf'); ?><br/><em><?php echo esc_html(date(get_option('date_format'), strtotime($mtbf_datetime_start_date . ' ' . $mtbf_datetime_start_time))); ?></em><br/> <?php echo esc_html('to see all the surprises.', 'mtbf'); ?></h3>
            </div>
        </div>
    </div>

    <?php } elseif($now >= strtotime($dateStart) && $now <= strtotime($dateEnd)) {

        // Get parent product categories
        $parent_product_cats = get_terms( 
            'product_cat', 
            array( 
                'parent' => 0, 
                'orderby' => 'slug',
                'hide_empty' => 1,
            )
        );

    ?>

        <div class="high-padding">
            <div class="">
                <div class="row">
                    <div class="col-md-12 col-sm-12 col-xs-12">
                        <ul class="nav-categories">
                            <?php 
                                // Iterating through each parent categories (WP_Term Objects)
                                if ($parent_product_cats) {
                                    foreach ( $parent_product_cats as $product_cat_obj ) {
                                        if (!in_array( $product_cat_obj->term_id, $mtbf_excluded_categories )) {
                                            echo '<li class="category-element">
                                                    <a href="#section-product-item-'.$product_cat_obj->term_id.'"><span>'.esc_html($product_cat_obj->name).'</span></a>
                                                  </li>';
                                        }
                                    }
                                }
                            ?>
                        </ul>
                    </div>
                </div>
                <div id="bf-content" class="row section-products">
                    <div id="bf-sidebar" class="col-md-2 col-sm-2 col-xs-12 col">
                        <div class="subcategories-section side-subcateg">
                            <ul class="nav-subcategories">
                            <?php 
                                // Iterating through each parent categories (WP_Term Objects)
                                if ($parent_product_cats) {
                                    foreach ( $parent_product_cats as $product_cat_obj ) {
                                        if (!in_array( $product_cat_obj->term_id, $mtbf_excluded_categories )) {
                                            echo '<li class="subcategory-element">
                                                    <a href="#section-product-item-'.$product_cat_obj->term_id.'"><span>'.esc_html($product_cat_obj->name).'</span></a>
                                                  </li>';
                                        }
                                    }
                                }
                            ?>
                            </ul>
                        </div>
                    </div>

                    <div class="col-md-10 col-sm-10 col-xs-12">
                    <?php 
                        // Iterating through each parent categories (WP_Term Objects)
                        if ($parent_product_cats) {
                            foreach ( $parent_product_cats as $product_cat_obj ) {
                                if (!in_array( $product_cat_obj->term_id, $mtbf_excluded_categories )) {
                                    echo '<div class="section-product-item" id="section-product-item-'.$product_cat_obj->term_id.'" style="margin-bottom: 15px;">';
                                        echo '<div class="products-title"><h1>'.esc_html($product_cat_obj->name).'</h1></div>';
                                        if (get_option('mtbf_products_type') == 'sale_products') {
                                            echo do_shortcode('[products category="'.esc_attr($product_cat_obj->slug).'" on_sale="true" columns="'.esc_attr($columns).'" limit="'.esc_attr($limit).'"]');
                                        }elseif (get_option('mtbf_products_type') == 'all_products') {
                                            echo do_shortcode('[products category="'.esc_attr($product_cat_obj->slug).'" columns="'.esc_attr($columns).'" limit="'.esc_attr($limit).'"]');
                                        }else{
                                            echo do_shortcode('[products category="'.esc_attr($product_cat_obj->slug).'" columns="'.esc_attr($columns).'" limit="'.esc_attr($limit).'"]');
                                        }
                                    echo '</div>';
                                }
                            }
                        }
                    ?>
                        <div class="mtbf-campaign-footer">
                                <?php if (isset($mtbf_after_header_bg) && $mtbf_after_header_bg != '') { ?>
                                    <img src="<?php echo esc_url($mtbf_after_header_bg); ?>" alt="<?php echo esc_attr__('Black Fridat', 'mtbf'); ?>" />
                                <?php } ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    <?php } ?>
</div>
<?php get_footer(); ?>