<?php

/** Navigation Bar */
function mtbf_navigation_bar_funct(){
	$campaign_id = get_option('mtbf_active_campaign');
	$mtfb_sticky_header = get_option('mtbf_enable_sticky_navigation');
    $mtbf_subcategories = get_option('mtbf_enable_subcategories');
   
	$mtbf_header_logo = get_post_meta( $campaign_id, 'mtbf_header_logo', true );
	$mtbf_header_logo_url = get_post_meta( $campaign_id, 'mtbf_header_logo_url', true );
	$mtbf_header_back_to_website_url_label = get_post_meta( $campaign_id, 'mtbf_header_back_to_website_url_label', true );
	$mtbf_header_back_to_website_url = get_post_meta( $campaign_id, 'mtbf_header_back_to_website_url', true );
	$mtbf_excluded_categories = get_option('mtbf_excluded_categories');
	$parent_product_cats = get_terms( 
        'product_cat', 
        array( 
            'parent' => 0, 
            'orderby' => 'slug',
            'hide_empty' => 1,
        )
    );
    if($mtfb_sticky_header == "enabled") {
    echo '<div class="mtfb-navigation">';  	
    	echo '<div class="nav-links col-md-12">';
    		echo'<div class="navbar-header col-md-6 col-sm-3 col-xs-6">';
	    		echo '<h1 class="logo logo-image">';
	                if(!empty($mtbf_header_logo)) {
	                    echo '<a href="'.$mtbf_header_logo_url.'">';
	                        echo '<img src="'.esc_url($mtbf_header_logo).'" alt="'.esc_attr(get_bloginfo( 'name' )).'">';
	                    echo '</a>';
	                }
	            echo '</h1>';
	        echo '</div>';
	        echo '<div class="navbar-header col-md-6 col-sm-3 col-xs-6 text-right">';
            	echo '<div class="back-website">';
                if(!empty($mtbf_header_back_to_website_url_label)) {
                    echo '<a href="'.esc_url($mtbf_header_back_to_website_url).'">'.esc_html__($mtbf_header_back_to_website_url_label).'</a>';
                    }
                if ( class_exists( 'WooCommerce' ) ) {
                    echo '<a href="'.esc_url(wc_get_cart_url()).'"><i class="fa fa-shopping-cart"></i>'.esc_attr__('My Cart', 'mtbf').'</a>';
                    echo '<a href="'.esc_url(get_permalink( get_option('woocommerce_myaccount_page_id') )).'"><i class="fa fa-user-circle"></i>'.esc_html__('My Account','mtbf').'</a>';
                }
            	echo '</div>';
            echo '</div>';
    	echo '</div>';
    	}
    	echo '<ul class="nav-categories col-md-12">';
    	if ($parent_product_cats) {
    		foreach ( $parent_product_cats as $product_cat_obj ) {
    			if (!in_array( $product_cat_obj->term_id, $mtbf_excluded_categories )) {
                    if ($mtbf_subcategories == "enabled") {
                        $mtbf_sub_enabled = '<a href="?category='.$product_cat_obj->slug.'"><span>'.esc_html($product_cat_obj->name).'</span></a>';
                    } else {
                        $mtbf_sub_enabled = '<a href="#section-product-item-'.$product_cat_obj->term_id.'"><span>'.esc_html($product_cat_obj->name).'</span></a>';
                    }
                    echo '<li class="category-element">'.$mtbf_sub_enabled.'</li>';
                }
    		}
    	}
    	echo '</ul>';
    	if($mtfb_sticky_header == "enabled") {
    echo '</div>';
	}
}
add_action( 'mtbf_navigation_bar', 'mtbf_navigation_bar_funct' );


/** Navigation Bar for Tabs*/
function mtbf_navigation_tab_funct(){
	$campaign_id = get_option('mtbf_active_campaign2');
	$mtfb_sticky_header = get_option('mtbf_enable_sticky_navigation');
	$mtbf_header_logo = get_post_meta( $campaign_id, 'mtbf_header_logo', true );
	$mtbf_header_logo_url = get_post_meta( $campaign_id, 'mtbf_header_logo_url', true );
	$mtbf_header_back_to_website_url_label = get_post_meta( $campaign_id, 'mtbf_header_back_to_website_url_label', true );
	$mtbf_header_back_to_website_url = get_post_meta( $campaign_id, 'mtbf_header_back_to_website_url', true );
	$mtbf_excluded_categories = get_option('mtbf_excluded_categories');
	$parent_product_cats = get_terms( 
        'product_cat', 
        array( 
            'parent' => 0, 
            'orderby' => 'slug',
            'hide_empty' => 1,
        )
    );
    $parent_product = get_terms( 
        'product_cat', 
        array( 
            'orderby' => 'slug',
            'hide_empty' => 1,
        )
    );
    if($mtfb_sticky_header == "enabled") {
    echo '<div class="mtfb-navigation">';  	
    	echo '<div class="nav-links col-md-12">';
    		echo'<div class="navbar-header col-md-6 col-sm-3 col-xs-6">';
	    		echo '<h1 class="logo logo-image">';
	                if(!empty($mtbf_header_logo)) {
	                    echo '<a href="'.$mtbf_header_logo_url.'">';
	                        echo '<img src="'.esc_url($mtbf_header_logo).'" alt="'.esc_attr(get_bloginfo( 'name' )).'">';
	                    echo '</a>';
	                }
	            echo '</h1>';
	        echo '</div>';
	        echo '<div class="navbar-header col-md-6 col-sm-3 col-xs-6 text-right">';
            	echo '<div class="back-website">';
                if(!empty($mtbf_header_back_to_website_url_label)) {
                    echo '<a href="'.esc_url($mtbf_header_back_to_website_url).'">'.esc_html__($mtbf_header_back_to_website_url_label).'</a>';
                    }
                if ( class_exists( 'WooCommerce' ) ) {
                    echo '<a href="'.esc_url(wc_get_cart_url()).'"><i class="fa fa-shopping-cart"></i>'.esc_attr__('My Cart', 'mtbf').'</a>';
                    echo '<a href="'.esc_url(get_permalink( get_option('woocommerce_myaccount_page_id') )).'"><i class="fa fa-user-circle"></i>'.esc_html__('My Account','mtbf').'</a>';
                }
            	echo '</div>';
            echo '</div>';
    	echo '</div>';
    }
    echo '<ul class="nav-categories">';
    	if ($parent_product_cats) {
            foreach ( $parent_product_cats as $product_cat_obj ) {
                if (!in_array( $product_cat_obj->term_id, $mtbf_excluded_categories )) {
                    echo '<li class="category-element">
                        	<a class="#section-product-item-'.$product_cat_obj->term_id.'"><span>'.esc_html($product_cat_obj->name).'</span></a>
                        </li>';
                }
            }
        }
    echo '</ul>';
    
    if($mtfb_sticky_header == "enabled") {
    echo '</div>';
	}
}
add_action( 'mtbf_navigation_tab', 'mtbf_navigation_tab_funct' );
?>