<?php
add_filter( 'cmb_meta_boxes', 'mtbf_metaboxes' );
function mtbf_metaboxes( array $meta_boxes ) {
      /**
      ||-> Metaboxes: For CPT - [mtbf]
      */
      $meta_boxes['mtbf_metaboxs'] = array(
            'id'         => 'mtbf_metaboxs',
            'title'      => esc_html__( 'MTBF Custom Options', 'mtbf' ),
            'pages'      => array( 'mtbf' ), // Post type
            'context'    => 'normal',
            'priority'   => 'high',
            'show_names' => true, // Show field names on the left
            'fields'     => array(
				array(
				    'name' => sprintf (esc_html__( '%1$s Campaign Timing Options %2$s', 'mtbf' ),'<h1>','</h1>'),
				    'desc' => esc_html__( 'Set Campaign Timing Options', 'mtbf' ),
				    'type' => 'title',
				    'id' => 'mtbf_title'
				),
				array(
				    'name' => esc_html__( 'Campaign Starting Date', 'mtbf' ),
				    'desc' => esc_html__( 'Set Campaign Closing Date', 'mtbf' ),
				    'id'   => 'mtbf_datetime_start_date',
				    'type' => 'text_date',
                    'date_format' => 'm/d/Y',
				),
				array(
				    'name' => esc_html__( 'Campaign Starting Time', 'mtbf' ),
				    'desc' => esc_html__( 'Set Campaign Closing Time', 'mtbf' ),
				    'id'   => 'mtbf_datetime_start_time',
				    'type' => 'text_time',
				    'time_format' => 'h:i',
				),
				array(
				    'name' => esc_html__( 'Campaign Closing Date', 'mtbf' ),
				    'desc' => esc_html__( 'Set Campaign Closing Date', 'mtbf' ),
				    'id'   => 'mtbf_datetime_end_date',
				    'type' => 'text_date',
                    'date_format' => 'm/d/Y',
				),
				array(
				    'name' => esc_html__( 'Campaign Closing Time', 'mtbf' ),
				    'desc' => esc_html__( 'Set Campaign Closing Time', 'mtbf' ),
				    'id'   => 'mtbf_datetime_end_time',
				    'type' => 'text_time',
				    'time_format' => 'h:i',
				),
    			array(
                    'name' => sprintf (esc_html__( '%1$s Custom Header Options %2$s', 'mtbf' ),'<h1>','</h1>'),
    				'desc' => esc_html__( 'These options replaces the Theme Options for current page.', 'mtbf' ),
    				'type' => 'title',
    				'id' => 'mtbf_title'
    			),
    			array(
    				'name' => esc_html__( 'Custom Logo', 'mtbf' ),
    				'desc' => esc_html__( 'Import a custom Logo for this Campaign Only', 'mtbf' ),
    				'id'   => 'mtbf_header_logo',
    				'type' => 'file',
    				'save_id' => true,
    				'allow' => array( 'url', 'attachment' )
    			),
    			array(
    				'name' => esc_html__( 'Custom Logo URL', 'mtbf' ),
    				'desc' => esc_html__( 'Set a custom Logo URL for this Campaign Only', 'mtbf' ),
    				'id'   => 'mtbf_header_logo_url',
    				'type' => 'text_medium',
    			),
    			array(
    				'name'    => esc_html__( 'Header Background Color', 'mtbf' ),
    				'desc'    => esc_html__( 'Set Background Color for the Custom Header', 'mtbf' ),
    				'id'      => 'mtbf_header_bg',
    				'type'    => 'colorpicker',
    				'default' => ''
    			),
    			array(
    				'name' => esc_html__( 'Back to Website URL', 'mtbf' ),
    				'desc' => esc_html__( 'Set a custom URL for "Back to Website" for this Campaign Only', 'mtbf' ),
    				'id'   => 'mtbf_header_back_to_website_url',
    				'type' => 'text_medium',
    			),
    			array(
    				'name' => esc_html__( 'Back to Website Link Label', 'mtbf' ),
    				'desc' => esc_html__( 'Set a custom Label for "Back to Website" for this Campaign Only', 'mtbf' ),
    				'id'   => 'mtbf_header_back_to_website_url_label',
    				'type' => 'text_medium',
    			),
                array(
                    'name' => esc_html__( 'Header Graphic PNG', 'mtbf' ),
                    'desc' => esc_html__( 'Set a PNG image which will be shown between the logo and countdown', 'mtbf' ),
                    'id'   => 'mtbf_png_graphic',
                    'type' => 'file',
                    'save_id' => true,
                    'allow' => array( 'url', 'attachment' )
                ),
    			array(
                    'name' => sprintf (esc_html__( '%1$s Banner After Products %2$s', 'mtbf' ),'<h1>','</h1>'),
    				'desc' => esc_html__( 'Set banner after the  products.', 'mtbf' ),
    				'type' => 'title',
    				'id' => 'mtbf_title'
    			),
    			array(
    				'name' => esc_html__( 'Upload Background', 'mtbf' ),
    				'desc' => esc_html__( 'Current background will be shown after the custom header.', 'mtbf' ),
    				'id'   => 'mtbf_after_header_bg',
    				'type' => 'file',
    				'save_id' => true,
    				'allow' => array( 'url', 'attachment' )
    			),
    			array(
                    'name' => sprintf (esc_html__( '%1$s Body Styling %2$s', 'mtbf' ),'<h1>','</h1>'),
    				'desc' => esc_html__( 'Set Body Color or Background', 'mtbf' ),
    				'type' => 'title',
    				'id' => 'mtbf_title'
    			),
    			array(
    				'name' => esc_html__( 'Upload Body Background Image', 'mtbf' ),
    				'desc' => esc_html__( 'Current background will be shown as body background.', 'mtbf' ),
    				'id'   => 'mtbf_body_bg',
    				'type' => 'file',
    				'save_id' => true,
    				'allow' => array( 'url', 'attachment' )
    			),
    			array(
    				'name' => esc_html__( 'Set Body Background Color', 'mtbf' ),
    				'desc' => esc_html__( 'Current background will be shown as body background.', 'mtbf' ),
    				'id'   => 'mtbf_body_bg_color',
    				'type' => 'colorpicker',
    			),
    			array(
                    'name' => sprintf (esc_html__( '%1$s Products Grid Options %2$s', 'mtbf' ),'<h1>','</h1>'),
    				'desc' => esc_html__( 'These options replaces the Theme Options for current page.', 'mtbf' ),
    				'type' => 'title',
    				'id' => 'mtbf_title'
    			),
    			array(
    				'name'    => esc_html__( 'Products per Row', 'mtbf' ),
    				'desc'    => esc_html__( 'Set the nr. or products per row to show into the current campaign', 'mtbf' ),
    				'id'      => 'mtbf_archive_grid_prods_per_row',
    				'type'    => 'select',
    				'options' => array(
                        '1' => esc_html__( '1/Per Row', 'mtbf' ),
                        '2' => esc_html__( '2/Per Row', 'mtbf' ),
    					'3' => esc_html__( '3/Per Row', 'mtbf' ),
    					'4' => esc_html__( '4/Per Row', 'mtbf' ),
    				),
    				'default' => '3',
    			),
    			array(
    				'name' => esc_html__( 'Products Limit Per Category', 'mtbf' ),
    				'desc' => esc_html__( 'Limit the Nr. of Products per Category to show.', 'mtbf' ),
    				'id'   => 'mtbf_archive_grid_prods_limit',
    				'type' => 'text',
    				'attributes' => array(
    					'type' => 'number',
    					'pattern' => '\d*',
    				),
    				'sanitization_cb' => 'absint',
    				'escape_cb'       => 'absint',
    				'default' => '8',
    			),
				array(
                    'name' => sprintf (esc_html__( '%1$s Extra Options %2$s', 'mtbf' ),'<h1>','</h1>'),
				    'desc' => esc_html__( 'Extra Options for the Current Sale Campaign(Applied only on the current page.)', 'mtbf' ),
				    'type' => 'title',
				    'id' => 'mtbf_title'
				),
				array(
				    'name' => esc_html__( 'CSS Classes/IDs for Blocks to Hide', 'mtbf' ),
				    'desc' => esc_html__( 'Ex: "#frideal-main-head, .footer-top"', 'mtbf' ),
				    'id'   => 'mtbf_extra_classes_to_hide',
				    'type' => 'text',
				    'default' => '#frideal-main-head, .footer-top',
				),
				array(
                    'name' => sprintf (esc_html__( '%1$s Sale Badge Settings %2$s', 'mtbf' ),'<h1>','</h1>'),
				    'desc' => esc_html__( 'Product Sale Badge Settings for the current Sale Campaign', 'mtbf' ),
				    'type' => 'title',
				    'id' => 'mtbf_title'
				),
    			array(
    				'name' => esc_html__( 'Custom Sale Badge Text', 'mtbf' ),
    				'desc' => esc_html__( 'Select a Custom Sale Badge Text(Sale, Black Friday, etc...)', 'mtbf' ),
    				'id'   => 'mtbf_sale_badge_text',
    				'type' => 'text'
    			),
    			array(
    				'name' => esc_html__( 'Custom Sale Badge Image', 'mtbf' ),
    				'desc' => esc_html__( 'Select a Custom Sale Badge Image(.png format recommended)', 'mtbf' ),
    				'id'   => 'mtbf_sale_badge_img',
    				'type' => 'file',
    				'save_id' => true,
    				'allow' => array( 'url', 'attachment' )
    			),
				array(
					'name' => esc_html__( 'Sale Badge Image Width (in Pixels)', 'mtbf' ),
					'desc' => esc_html__( 'Only set this field if you added an image as badge(not usable for the Text Sale Badge) - in Pixels <br /><strong>(Recommended width: 75)</strong>', 'mtbf' ),
					'id'   => 'mtbf_sale_badge_image_width',
					'type' => 'text',
				    'default' => '75',
					'attributes' => array(
						'type' => 'number',
						'pattern' => '\d*',
					),
					'sanitization_cb' => 'absint',
				        'escape_cb'       => 'absint',
				)
            ),
      );
    // Add other metaboxes as needed
    return $meta_boxes;
}


/* Sale Campaign Field */
add_action( 'init', 'mtbf_register_mtbf_wh_meta_compaign' );
function mtbf_register_mtbf_wh_meta_compaign() {
    register_meta( 'term', 'mtbf_wh_meta_compaign', 'mtbf_sanitize_mtbf_wh_meta_compaign' );
}


// SANITIZE DATA
function mtbf_sanitize_mtbf_wh_meta_compaign ( $value ) {
    return sanitize_text_field ($value);
}


// GETTER (will be sanitized)
function get_mtbf_wh_meta_compaign( $term_id ) {
  $value = get_term_meta( $term_id, 'mtbf_wh_meta_compaign', true );
  $value = mtbf_sanitize_mtbf_wh_meta_compaign( $value );
  return $value;
}


// ADD FIELD TO CATEGORY TERM PAGE
function mtbf_wh_taxonomy_add_new_meta_field() {
    ?>
      <?php wp_nonce_field( basename( __FILE__ ), 'mtbf_wh_meta_compaign_nonce' ); ?>
      <div class="form-field mtbf_post_metabox-wrap">
      <label for="mtbf_post_metabox"><?php esc_html_e( 'Set Sale Campaign', 'mtbf' ); ?></label>
      <select name="mtbf_wh_meta_compaign" id="mtbf_post_metabox" class="mtbf_post_metabox-field">
            <?php 
                  $args_posts = array(
                        'posts_per_page'        => -1,
                        'post_type'             => 'mtbf',
                        'post_status'           => 'publish' 
                  );
                  $mtbfs = get_posts($args_posts);
                  foreach ($mtbfs as $mtbf): ?>
                  <option value="<?php echo esc_attr($mtbf->ID); ?>" 
                        <?php if(isset($value)){
                              if ($value == $mtbf->ID) {
                                    echo 'selected';
                              }
                        }; ?>
                        ><?php echo esc_html($mtbf->post_title); ?></option>
            <?php endforeach; ?>
      </select>
    </div>
    <?php
}


// ADD FIELD TO CATEGORY EDIT PAGE
function mtbf_wh_taxonomy_edit_meta_field($term) {
    //getting term ID
    $term_id = $term->term_id;
    // retrieve the existing value(s) for this meta field.
    $mtbf_wh_meta_compaign = get_term_meta($term_id, 'mtbf_wh_meta_compaign', true);
    $value  = get_mtbf_wh_meta_compaign( $term->term_id );
            if ( ! $value ) $value = "";
    ?>
    <tr class="form-field mtbf_post_metabox-wrap">
        <th scope="row"><label for="mtbf_wh_meta_compaign"><?php esc_html_e( 'Set Sale Campaign', 'mtbf' ); ?></label></th>
        <td>
            <?php wp_nonce_field( basename( __FILE__ ), 'mtbf_wh_meta_compaign_nonce' ); ?>
            <select name="mtbf_wh_meta_compaign" id="mtbf_wh_meta_compaign" class="mtbf_post_metabox-field">
                  <?php 
                        $args_posts = array(
                              'posts_per_page'        => -1,
                              'post_type'             => 'mtbf',
                              'post_status'           => 'publish' 
                        );
                        $mtbfs = get_posts($args_posts);
                        foreach ($mtbfs as $mtbf): ?>
                        <option value="none"><?php esc_html_e('None', 'mtbf'); ?></option>
                        <option value="<?php echo esc_attr($mtbf->ID); ?>" <?php if($value == $mtbf->ID){echo esc_html_e('selected', 'mtbf'); }; ?>><?php echo esc_html($mtbf->post_title); ?></option>
                  <?php endforeach; ?>
            </select>
        </td>
    </tr>
    <?php
}
add_action('product_cat_add_form_fields', 'mtbf_wh_taxonomy_add_new_meta_field', 10, 1);
add_action('product_cat_edit_form_fields', 'mtbf_wh_taxonomy_edit_meta_field', 10, 1);


// SAVE TERM META (on term edit & create)
add_action( 'edit_product_cat',   'mtbf_wh_meta_compaign' );
add_action( 'create_product_cat', 'mtbf_wh_meta_compaign' );
function mtbf_wh_meta_compaign( $term_id ) {
    // verify the nonce --- remove if you don't care
    if ( ! isset( $_POST['mtbf_wh_meta_compaign_nonce'] ) || ! wp_verify_nonce( $_POST['mtbf_wh_meta_compaign_nonce'], basename( __FILE__ ) ) )
        return;
    $old_value  = get_mtbf_wh_meta_compaign( $term_id );
    $new_value = isset( $_POST['mtbf_wh_meta_compaign'] ) ? mtbf_sanitize_mtbf_wh_meta_compaign ( $_POST['mtbf_wh_meta_compaign'] ) : '';
    if ( $old_value && '' === $new_value )
        delete_term_meta( $term_id, 'mtbf_wh_meta_compaign' );
    else if ( $old_value !== $new_value )
        update_term_meta( $term_id, 'mtbf_wh_meta_compaign', $new_value );
}


// MODIFY COLUMNS (add our meta to the list)
add_filter( 'manage_edit-product_cat_columns', 'mtbf_edit_term_columns', 10, 3 );
function mtbf_edit_term_columns( $columns ) {
    $columns['mtbf_wh_meta_compaign'] = esc_html__( 'Sale Campaign ID', 'mtbf' );
    return $columns;
}


// RENDER COLUMNS (render the meta data on a column)
add_filter( 'manage_product_cat_custom_column', 'mtbf_manage_term_custom_column', 10, 3 );
function mtbf_manage_term_custom_column( $out, $column, $term_id ) {
    if ( 'mtbf_wh_meta_compaign' === $column ) {
        $value  = get_mtbf_wh_meta_compaign( $term_id );
        if ( ! $value )
            $value = '';
        $out = sprintf( '<span class="mtbf_post_metabox-block" style="" >%s</div>', esc_attr( $value ) );
    }
    return $out;
} 
?>