<?php
add_filter( 'cmb2_admin_init', 'mtbf_metaboxes' );
function mtbf_metaboxes() {
  	/**
  	||-> Metaboxes: For CPT - [mtbf]
  	*/
  	$fields_group = new_cmb2_box( array(
        'id'           => 'mtbf_metaboxs',
        'title'        => esc_html__( 'MTBF Custom Options', 'modeltheme' ),
        'object_types' => array( 'mtbf' ),
        'priority'     => 'high',
  	) );

  	$fields_group->add_field(
		array(
			'name' => sprintf (esc_html__( '%1$s Campaign Timing Options %2$s', 'mtbf' ),'<h1>','</h1>'),
			'desc' => esc_html__( 'Set Campaign Timing Options', 'mtbf' ),
			'type' => 'title',
			'id' => 'mtbf_title1',
			'classes'    => 'mtbf_title',
		)
	);
  	$fields_group->add_field(
		array(
		    'name' => esc_html__( 'Campaign Starting Date', 'mtbf' ),
		    'desc' => esc_html__( 'Set Campaign Starting Date', 'mtbf' ),
		    'id'   => 'mtbf_datetime_start_date',
		    'type' => 'text_date',
            'date_format' => 'm/d/Y',
			'attributes' => array(
				'required' => 'true'
			)
		)
	);
  	$fields_group->add_field(
		array(
		    'name' => esc_html__( 'Campaign Starting Time', 'mtbf' ),
		    'desc' => esc_html__( 'Set Campaign Starting Time', 'mtbf' ),
		    'id'   => 'mtbf_datetime_start_time',
		    'type' => 'text_time',
			'attributes' => array(
				'required' => 'true'
			)
		)
	);
  	$fields_group->add_field(
		array(
		    'name' => esc_html__( 'Campaign Closing Date', 'mtbf' ),
		    'desc' => esc_html__( 'Set Campaign Closing Date', 'mtbf' ),
		    'id'   => 'mtbf_datetime_end_date',
		    'type' => 'text_date',
            'date_format' => 'm/d/Y',
			'attributes' => array(
				'required' => 'true'
			)
		)
	);
  	$fields_group->add_field(
		array(
		    'name' => esc_html__( 'Campaign Closing Time', 'mtbf' ),
		    'desc' => esc_html__( 'Set Campaign Closing Time', 'mtbf' ),
		    'id'   => 'mtbf_datetime_end_time',
		    'type' => 'text_time',
			'attributes' => array(
				'required' => 'true'
			)
		)
	);
  	$fields_group->add_field(
		array(
            'name' => sprintf (esc_html__( '%1$s Custom Header Options %2$s', 'mtbf' ),'<h1>','</h1>'),
			'desc' => esc_html__( 'These options replaces the Theme Options for current page.', 'mtbf' ),
			'type' => 'title',
			'id' => 'mtbf_title2',
			'classes'    => 'mtbf_title',
		)
	);
  	$fields_group->add_field(
		array(
			'name' => esc_html__( 'Custom Logo', 'mtbf' ),
			'desc' => esc_html__( 'Import a custom Logo for this Campaign Only', 'mtbf' ),
			'id'   => 'mtbf_header_logo',
			'type' => 'file',
			'save_id' => true,
			'allow' => array( 'url', 'attachment' )
		)
	);
  	$fields_group->add_field(
		array(
			'name' => esc_html__( 'Custom Logo URL', 'mtbf' ),
			'desc' => esc_html__( 'Set a custom Logo URL for this Campaign Only', 'mtbf' ),
			'id'   => 'mtbf_header_logo_url',
			'type' => 'text_medium',
		)
	);
  	$fields_group->add_field(
		array(
			'name'    => esc_html__( 'Header Background Color', 'mtbf' ),
			'desc'    => esc_html__( 'Set Background Color for the Custom Header', 'mtbf' ),
			'id'      => 'mtbf_header_bg',
			'type'    => 'colorpicker',
			'default' => ''
		)
	);
  	$fields_group->add_field(
		array(
			'name' => esc_html__( 'Back to Website URL', 'mtbf' ),
			'desc' => esc_html__( 'Set a custom URL for "Back to Website" for this Campaign Only', 'mtbf' ),
			'id'   => 'mtbf_header_back_to_website_url',
			'type' => 'text_medium',
		)
	);
  	$fields_group->add_field(
		array(
			'name' => esc_html__( 'Back to Website Link Label', 'mtbf' ),
			'desc' => esc_html__( 'Set a custom Label for "Back to Website" for this Campaign Only', 'mtbf' ),
			'id'   => 'mtbf_header_back_to_website_url_label',
			'type' => 'text_medium',
		)
	);
  	$fields_group->add_field(
        array(
            'name' => esc_html__( 'Header Graphic PNG', 'mtbf' ),
            'desc' => esc_html__( 'Set a PNG image which will be shown between the logo and countdown', 'mtbf' ),
            'id'   => 'mtbf_png_graphic',
            'type' => 'file',
            'save_id' => true,
            'allow' => array( 'url', 'attachment' )
        )
	);
  	$fields_group->add_field(
		array(
            'name' => sprintf (esc_html__( '%1$s Banner After Products %2$s', 'mtbf' ),'<h1>','</h1>'),
			'desc' => esc_html__( 'Set banner after the  products.', 'mtbf' ),
			'type' => 'title',
			'id' => 'mtbf_title3',
			'classes' => 'mtbf_title'
		)
	);
  	$fields_group->add_field(
		array(
			'name' => esc_html__( 'Upload Background', 'mtbf' ),
			'desc' => esc_html__( 'Current background will be shown after the custom header.', 'mtbf' ),
			'id'   => 'mtbf_after_header_bg',
			'type' => 'file',
			'save_id' => true,
			'allow' => array( 'url', 'attachment' )
		)
	);
  	$fields_group->add_field(
		array(
            'name' => sprintf (esc_html__( '%1$s Body Styling %2$s', 'mtbf' ),'<h1>','</h1>'),
			'desc' => esc_html__( 'Set Body Color or Background', 'mtbf' ),
			'type' => 'title',
			'id' => 'mtbf_title4',
			'classes' => 'mtbf_title'
		)
	);
  	$fields_group->add_field(
		array(
			'name' => esc_html__( 'Upload Body Background Image', 'mtbf' ),
			'desc' => esc_html__( 'Current background will be shown as body background.', 'mtbf' ),
			'id'   => 'mtbf_body_bg',
			'type' => 'file',
			'save_id' => true,
			'allow' => array( 'url', 'attachment' )
		)
	);
  	$fields_group->add_field(
		array(
			'name' => esc_html__( 'Set Body Background Color', 'mtbf' ),
			'desc' => esc_html__( 'Current background will be shown as body background.', 'mtbf' ),
			'id'   => 'mtbf_body_bg_color',
			'type' => 'colorpicker',
		)
	);
  	$fields_group->add_field(
		array(
			'name' => esc_html__( 'Set Button Color', 'mtbf' ),
			'desc' => esc_html__( 'Current color will be shown as button color.', 'mtbf' ),
			'id'   => 'mtbf_button_color',
			'type' => 'colorpicker',
		)
	);
  	$fields_group->add_field(
		array(
			'name' => esc_html__( 'Set Button Hover Color', 'mtbf' ),
			'desc' => esc_html__( 'Current color will be shown as button hover color.', 'mtbf' ),
			'id'   => 'mtbf_button_color_hover',
			'type' => 'colorpicker',
		)
	);
  	$fields_group->add_field(
		array(
			'name' => esc_html__( 'Set Product Card Button Border Radius', 'mtbf' ),
			'desc' => esc_html__( 'Current radius will be shown as button border radius for product card.', 'mtbf' ),
			'id'   => 'mtbf_product_button_border_radius',
			'type' => 'text',
			'attributes' => array(
				'type' => 'number',
				'pattern' => '\d*',
				'min' => '1'
			),
			'sanitization_cb' => 'absint',
			'escape_cb'       => 'absint',
			'default' => '0',
		)
	);
  	$fields_group->add_field(
		array(
            'name' => sprintf (esc_html__( '%1$s Products Grid Options %2$s', 'mtbf' ),'<h1>','</h1>'),
			'desc' => esc_html__( 'These options replaces the Theme Options for current page.', 'mtbf' ),
			'type' => 'title',
			'id' => 'mtbf_title5',
			'classes' => 'mtbf_title'
		)
	);
  	$fields_group->add_field(
		array(
			'name'    => esc_html__( 'Products per Row', 'mtbf' ),
			'desc'    => esc_html__( 'Set the nr. or products per row to show into the current campaign', 'mtbf' ),
			'id'      => 'mtbf_archive_grid_prods_per_row',
			'type'    => 'select',
			'options' => array(
                '1' => esc_html__( '1/Per Row', 'mtbf' ),
                '2' => esc_html__( '2/Per Row', 'mtbf' ),
				'3' => esc_html__( '3/Per Row', 'mtbf' ),
				'4' => esc_html__( '4/Per Row', 'mtbf' ),
			),
			'default' => '3',
		)
	);
  	$fields_group->add_field(
		array(
			'name' => esc_html__( 'Products Limit Per Category', 'mtbf' ),
			'desc' => esc_html__( 'Limit the Nr. of Products per Category to show.', 'mtbf' ),
			'id'   => 'mtbf_archive_grid_prods_limit',
			'type' => 'text',
			'attributes' => array(
				'type' => 'number',
				'pattern' => '\d*',
				'min' => '1'
			),
			'sanitization_cb' => 'absint',
			'escape_cb'       => 'absint',
			'default' => '8',
		)
	);
  	$fields_group->add_field(
		array(
            'name' => sprintf (esc_html__( '%1$s Extra Options %2$s', 'mtbf' ),'<h1>','</h1>'),
		    'desc' => esc_html__( 'Extra Options for the Current Sale Campaign(Applied only on the current page.)', 'mtbf' ),
		    'type' => 'title',
			'id' => 'mtbf_title6',
		    'classes' => 'mtbf_title'
		)
	);
	$fields_group->add_field(
		array(
			'name' => esc_html__('Cart Contents on Header'),
			'desc' => esc_html__('Display Cart total items and total price on the navigation header, under My Cart link.', 'mtbf'),
			'id' => 'mtbf_show_cart_contents',
			'type' => 'checkbox'
		)
  	);
  	$fields_group->add_field(
		array(
		    'name' => esc_html__( 'CSS Classes/IDs for Blocks to Hide', 'mtbf' ),
		    'desc' => esc_html__( 'Ex: "#frideal-main-head, .footer-top"', 'mtbf' ),
		    'id'   => 'mtbf_extra_classes_to_hide',
		    'type' => 'text',
		    'default' => '#frideal-main-head, .footer-top',
		)
	);
  	$fields_group->add_field(
		array(
            'name' => sprintf (esc_html__( '%1$s Sale Badge Settings %2$s', 'mtbf' ),'<h1>','</h1>'),
		    'desc' => esc_html__( 'Product Sale Badge Settings for the current Sale Campaign', 'mtbf' ),
		    'type' => 'title',
			'id' => 'mtbf_title7',
		    'classes' => 'mtbf_title'
		)
	);
  	$fields_group->add_field(
		array(
			'name' => esc_html__( 'Custom Sale Badge Text', 'mtbf' ),
			'desc' => esc_html__( 'Select a Custom Sale Badge Text(Sale, Black Friday, etc...)', 'mtbf' ),
			'id'   => 'mtbf_sale_badge_text',
			'type' => 'text'
		)
	);
  	$fields_group->add_field(
		array(
			'name' => esc_html__( 'Custom Sale Badge Image', 'mtbf' ),
			'desc' => esc_html__( 'Select a Custom Sale Badge Image(.png format recommended)', 'mtbf' ),
			'id'   => 'mtbf_sale_badge_img',
			'type' => 'file',
			'save_id' => true,
			'allow' => array( 'url', 'attachment' )
		)
	);
  	$fields_group->add_field(
		array(
			'name' => esc_html__( 'Sale Badge Image Width (in Pixels)', 'mtbf' ),
			'desc' => esc_html__( 'Only set this field if you added an image as badge(not usable for the Text Sale Badge) - in Pixels <br /><strong>(Recommended width: 75)</strong>', 'mtbf' ),
			'id'   => 'mtbf_sale_badge_image_width',
			'type' => 'text',
		    'default' => '75',
			'attributes' => array(
				'type' => 'number',
				'pattern' => '\d*',
				'min' => '1'
			),
			'sanitization_cb' => 'absint',
		        'escape_cb'       => 'absint',
		)
    );
}


add_filter( 'cmb2_admin_init', 'mtbf_metaboxes_product' );
function mtbf_metaboxes_product() {
  	/**
  	||-> Metaboxes: For CPT - [product]
  	*/
  	$fields_group = new_cmb2_box( array(
        'id'           => 'mtbf_products',
        'title'        => esc_html__( 'Black Friday', 'modeltheme' ),
        'object_types' => array( 'product' ),
        'priority'     => 'high',
  	) );
	$fields_group->add_field(
		array(
			'name' => __( 'Show in Black Friday page?', 'mtbf' ),
			'desc' => __( 'If this is checked, this product will also be listed on the black friday template (no matter if it has a sale price or not).', 'mtbf' ),
			'desc_tip' => 'true',
			'id'   => 'mtbf_show_in_bf',
			'type' => 'checkbox',
		)
	);
}
