<?php
/*-------------------------------------------------------------------
[Table of contents]
1. Shortcode: Countdown
-------------------------------------------------------------------*/
/**
||-> 1. Shortcode: Countdown
*/
function mtbf_countdown_shortcode( $params, $content ) {
    extract( shortcode_atts( 
        array(
            'date'                       => '',
            'digits_font_size'           => '',
            'digits_line_height'           => '',
            'texts_font_size'            => '',
            'texts_line_height'            => '',
            'digit_color'                => '',
            'text_color'                 => '',
            'dots_color'                 => '',
            'dots_font_size'                 => '',
            'dots_line_height'                 => ''
        ), $params ) );
    // DIGITS STYLE
    $digit_style = '';
    if (isset($digit_color)) {
      $digit_style .= 'color:'.esc_attr($digit_color).';';
    }
    if (isset($digits_font_size)) {
      $digit_style .= 'font-size: '.esc_attr($digits_font_size).' !important;';
    }
    if (isset($digits_line_height)) {
      $digit_style .= 'line-height: '.esc_attr($digits_line_height).' !important;';
    }
    // LABELS STYLE
    $text_style = '';
    if (isset($text_color)) {
      $text_style .= 'color:'.esc_attr($text_color).';';
    }
    if (isset($texts_font_size)) {
      $text_style .= 'font-size: '.esc_attr($texts_font_size).' !important;';
    }
    if (isset($digits_line_height)) {
      $text_style .= 'line-height: '.esc_attr($digits_line_height).' !important;';
    }
    // DOTS STYLE
    $dots_style = '';
    if (isset($dots_color)) {
      $dots_style = 'color:'.esc_attr($dots_color).';';
    }
    if (isset($dots_font_size)) {
      $dots_style .= 'font-size: '.esc_attr($dots_font_size).' !important;';
    }
    if (isset($dots_line_height)) {
      $dots_style .= 'line-height: '.esc_attr($dots_line_height).' !important;';
    }
    // YYYY/MM/DD hh:mm:ss
    // 
    $uniqueID = 'countdown_'.uniqid();
    $content = '';
    $content .= '<div class="text-center row"><div id="'.esc_attr($uniqueID).'" class="modeltheme-countdown"></div></div>';
    $content .= '<script type="text/javascript">
                  jQuery( document ).ready(function() {
                    //get each width
                    var width_days'.esc_attr($uniqueID).' = jQuery(\'.rev_slider #'.esc_attr($uniqueID).' .days-digit\').width();
                    var width_hours'.esc_attr($uniqueID).' = jQuery(\'.rev_slider #'.esc_attr($uniqueID).' .hours-digit\').width();
                    var width_minutes'.esc_attr($uniqueID).' = jQuery(\'.rev_slider #'.esc_attr($uniqueID).' .minutes-digit\').width();
                    var width_seconds'.esc_attr($uniqueID).' = jQuery(\'.rev_slider #'.esc_attr($uniqueID).' .seconds-digit\').width();
                    var width_dots'.esc_attr($uniqueID).' = jQuery(\'.rev_slider #'.esc_attr($uniqueID).' .c_dot\').width();
                    var width_dots_x3'.esc_attr($uniqueID).' = width_dots'.esc_attr($uniqueID).'*7;
                    //total width
                    var width_sum'.esc_attr($uniqueID).' = width_days'.esc_attr($uniqueID).'+width_hours'.esc_attr($uniqueID).'+width_minutes'.esc_attr($uniqueID).'+width_seconds'.esc_attr($uniqueID).'+width_dots_x3'.esc_attr($uniqueID).';
                    //test
                    //console.log(width_sum'.esc_attr($uniqueID).');
                    //apply width
                    jQuery(".rev_slider #'.esc_attr($uniqueID).'").width(width_sum'.esc_attr($uniqueID).');
                    jQuery("#'.esc_attr($uniqueID).'").countdown("'.esc_attr($date).'", function(event) {
                      jQuery(this).html(
                        event.strftime("<div class=\'days\'>"
                                          +"<div class=\'days-digit\' style=\''.esc_attr($digit_style).'\'>%D</div>"
                                          +"<div class=\'clearfix\'></div>"
                                          +"<div class=\'days-name\' style=\''.esc_attr($text_style).'\'>days</div>"
                                        +"</div>"
                                        +"<span class=\'c_dot\' style=\''.esc_attr($dots_style).'\'>&middot;</span>"
                                        +"<div class=\'hours\'>"
                                          +"<div class=\'hours-digit\'  style=\''.esc_attr($digit_style).'\'>%H</div>"
                                          +"<div class=\'clearfix\'></div>"
                                          +"<div class=\'hours-name\' style=\''.esc_attr($text_style).'\'>hours</div>"
                                        +"</div>"
                                        +"<span class=\'c_dot\' style=\''.esc_attr($dots_style).'\'>&middot;</span>"
                                        +"<div class=\'minutes\'>"
                                          +"<div class=\'minutes-digit\' style=\''.esc_attr($digit_style).'\'>%M</div>"
                                          +"<div class=\'clearfix\'></div>"
                                          +"<div class=\'minutes-name\' style=\''.esc_attr($text_style).'\'>minutes</div>"
                                        +"</div>"
                                        +"<span class=\'c_dot\' style=\''.esc_attr($dots_style).'\'>&middot;</span>"
                                        +"<div class=\'seconds\'>"
                                          +"<div class=\'seconds-digit\' style=\''.esc_attr($digit_style).'\'>%S</div>"
                                          +"<div class=\'clearfix\'></div>"
                                          +"<div class=\'seconds-name\' style=\''.esc_attr($text_style).'\'>seconds</div>"
                                        +"</div>")
                      );
                    });
                  });
                </script>';
    return $content;
}
add_shortcode('mt-countdown', 'mtbf_countdown_shortcode');
?>