<?php
/**
* Plugin Name: ModelTheme Black Friday
* Plugin URI: https://modeltheme.com/
* Description: ModelTheme Black Friday Plugin for WooCommerce.
* Version: 1.9.3
* Author: ModelTheme
* Author https://modeltheme.com/
* Text Domain: mtbf
* Last Plugin Update: 11-NOV-2021
*/



$plugin_dir = plugin_dir_path( __FILE__ );



/**
||-> CMB METABOXES
*/
if (!function_exists('mtbf_cmb_initialize_cmb_meta_boxes')) {
	function mtbf_cmb_initialize_cmb_meta_boxes() {
	    if ( ! class_exists( 'cmb_Meta_Box' ) )
	        require_once ('init.php');
	}
	add_action( 'init', 'mtbf_cmb_initialize_cmb_meta_boxes', 9999 );
}



/**
||-> Function: mtbf_enqueue_admin_scripts()
*/
if (!function_exists('mtbf_enqueue_admin_scripts')) {
	function mtbf_enqueue_admin_scripts( $hook ) {
	    // CSS
	    wp_register_style( 'mtbf-admin-style',  plugin_dir_url( __FILE__ ) . 'css/mtbf-admin-style.css' );
	    wp_enqueue_style( 'mtbf-admin-style' );

	    // SCRIPTS
	    wp_enqueue_script( 'mtbf-admin', plugin_dir_url( __FILE__ ) . 'js/mtbf-admin.js', array(), '1.0.0', true );
	}
	add_action('admin_enqueue_scripts', 'mtbf_enqueue_admin_scripts');
}



/**
||-> Function: mtbf_scripts()
*/
function mtbf_scripts() {
	if (is_page_template( 'black-friday.php' ) || is_page_template('black-friday-template2.php') || is_page_template('black-friday-template3.php') || is_page_template('black-friday-template4.php') || is_page_template('black-friday-template5.php') || is_page_template('black-friday-template6.php')) {
		wp_enqueue_style( 'mtbf-frontend-custom', plugin_dir_url( __FILE__ ) . 'css/mtbf-frontend-custom.css', false ); 
		wp_enqueue_style( 'mtbf-bootstrap-grid', plugin_dir_url( __FILE__ ) . 'css/bootstrap-grid.css', false ); 
		wp_enqueue_script( 'sticky-sidebar', plugin_dir_url( __FILE__ ) . 'js/sticky-sidebar.js', array( 'jquery' ) );
		wp_enqueue_script( 'jquery-countdown', plugin_dir_url( __FILE__ ) . 'js/jquery-countdown.js', array( 'jquery' ) );
		wp_enqueue_script( 'mtbf-custom', plugin_dir_url( __FILE__ ) . 'js/mtbf-custom.js', array( 'jquery' ) );
		wp_enqueue_script( 'magnific-popup', plugin_dir_url( __FILE__ ) . 'js/jquery.magnific-popup.js', array( 'jquery' ) );
		wp_enqueue_script( 'jquery-match-height', plugin_dir_url( __FILE__ ) . 'js/jquery.matchHeight.js', array( 'jquery' ) );
		wp_enqueue_script( 'jquery-sticky', plugin_dir_url( __FILE__ ) . 'js/jquery.sticky.js', array( 'jquery' ) );
	} else {
		wp_enqueue_style( 'mtbf-frontend-custom', plugin_dir_url( __FILE__ ) . 'css/mtbf-frontend-custom.css', false );
	}
}
add_action( 'wp_enqueue_scripts', 'mtbf_scripts' );



// LOAD METABOXES
require_once('inc/metaboxes.php');
// LOAD POST TYPES
require_once('inc/post-types.php');
// LOAD SHORTCODES
require_once('inc/shortcodes.php');
// LOAD FUNCTIONS
require_once('inc/custom-functions.php');



// Since v1.2
// time() has been replaced with current_time('timestamp') for an accurate campaign start/end date.
function mtbf_wc_template($template, $template_name, $template_path) {
	// CURRENT CAMPAIGN ID
	$compaign_id = get_term_meta(get_queried_object_id(), 'mtbf_wh_meta_compaign', true);
	/* Time Datas -> Opening -> Ending Dates campaign metaboxes */
	$mtbf_datetime_start_date = get_post_meta( $compaign_id, 'mtbf_datetime_start_date', true );
	$mtbf_datetime_start_time = get_post_meta( $compaign_id, 'mtbf_datetime_start_time', true );
	$mtbf_datetime_end_date = get_post_meta( $compaign_id, 'mtbf_datetime_end_date', true );
	$mtbf_datetime_end_time = get_post_meta( $compaign_id, 'mtbf_datetime_end_time', true );
	// SET DATE FORMATS for START/END Dates
	$dateStart = date("Y/m/d H:i:s", strtotime(esc_html($mtbf_datetime_start_date) . ' ' . esc_html($mtbf_datetime_start_time)));
	$dateEnd = date("Y/m/d H:i:s", strtotime(esc_html($mtbf_datetime_end_date) . ' ' . esc_html($mtbf_datetime_end_time)));
	// var_dump($template_name)
    if ($template_name == 'archive-product.php') {
    	if (file_exists(untrailingslashit( plugin_dir_path( __FILE__ ) ) . '/woocommerce/archive-product.php')) {
	  		// CHECK IF CAMPAIGN SHOULD START OR END
	  		if((current_time('timestamp')-(60*60*24)) >= strtotime($dateStart) && (current_time('timestamp')-(60*60*24)) <= strtotime($dateEnd)){
	  			// CHECK IF CAMPAIGN IS PUBLISH
				if(isset($compaign_id) && get_post_status($compaign_id) == 'publish') {
					$template  = untrailingslashit( plugin_dir_path( __FILE__ ) ) . '/woocommerce/archive-product.php';
				}
	    	}
    	}
    }
    return $template;
}
add_filter('woocommerce_locate_template', 'mtbf_wc_template', 20, 3);



if (!function_exists('mtbf_always_show_cart')) {
	add_filter( 'woocommerce_widget_cart_is_hidden', 'mtbf_always_show_cart', 40, 0 );
	function mtbf_always_show_cart() {
	    return false;
	}
}


/**
||-> Function: LOAD PLUGIN TEXTDOMAIN
*/
function mtbf_load_textdomain(){
    $domain = 'mtbf';
    $locale = apply_filters( 'plugin_locale', get_locale(), $domain );
    load_textdomain( $domain, trailingslashit( WP_LANG_DIR ) . esc_html($domain) . '/' . esc_html($domain) . '-' . esc_html($locale) . '.pot' );
    load_plugin_textdomain( $domain, FALSE, basename( plugin_dir_path( dirname( __FILE__ ) ) ) . '/languages/' );
}
add_action( 'plugins_loaded', 'mtbf_load_textdomain' );




/**
||-> Since v1.2
||-> Function: CUSTOM SALE BADGE TEXT or IMAGE
*/
if ( ! is_admin() ) {
	add_action('get_header', function() {
	    if (is_page_template('black-friday.php') || is_page_template('black-friday-template2.php') || is_page_template('black-friday-template3.php') || is_page_template('black-friday-template4.php') || is_page_template('black-friday-template5.php') || is_page_template('black-friday-template6.php') || is_page_template('black-friday-template7.php')) {
			add_filter('woocommerce_sale_flash', 'mtbf_change_sale_content', 10, 3);
	    }
	});

	function mtbf_change_sale_content($content, $post, $product){
		// CURRENT CAMPAIGN ID
	    if (is_page_template('black-friday.php')) {
			$compaign_id = get_option('mtbf_active_campaign');
		}elseif(is_page_template('black-friday-template2.php')){
			$compaign_id = get_option('mtbf_active_campaign2');
		}elseif(is_page_template('black-friday-template3.php')){
			$compaign_id = get_option('mtbf_active_campaign3');
		}elseif(is_page_template('black-friday-template4.php')){
			$compaign_id = get_option('mtbf_active_campaign4');
		}elseif(is_page_template('black-friday-template5.php')){
			$compaign_id = get_option('mtbf_active_campaign5');
		}elseif(is_page_template('black-friday-template6.php')){
			$compaign_id = get_option('mtbf_active_campaign6');
		}elseif(is_page_template('black-friday-template7.php')){
			$compaign_id = get_option('mtbf_active_campaign7');
		}
		// CURRENT CAMPAIGN METABOXES
	  	$mtbf_sale_badge_text = get_post_meta( $compaign_id, 'mtbf_sale_badge_text', true );
	  	$mtbf_sale_badge_img = get_post_meta( $compaign_id, 'mtbf_sale_badge_img', true );
	  	$mtbf_sale_badge_image_width = get_post_meta( $compaign_id, 'mtbf_sale_badge_image_width', true );

		$content = '<span class="onsale">'.esc_html__( 'Sale', 'mtbf' ).'</span>';
	  	if (isset($mtbf_sale_badge_text) && $mtbf_sale_badge_text != '') {
			$content = '<span class="onsale">'.esc_html($mtbf_sale_badge_text).'</span>';
	  	} else if($mtbf_sale_badge_text == '') {
	  		$content = '';
	  	}
	  	if (isset($mtbf_sale_badge_img) && $mtbf_sale_badge_img != '') {
	  		$badge_style = '';
	  		if (isset($mtbf_sale_badge_image_width) || $mtbf_sale_badge_image_width != '0') {
	  			$badge_style = 'width: '.esc_attr($mtbf_sale_badge_image_width).'px !important;';

	  		}
			$content = '<span style="'.esc_attr($badge_style).'" class="onsale onsale-image-badge"><img src="'.esc_url($mtbf_sale_badge_img).'" alt="'.esc_attr__('Sale Badge', 'mtbf').'"></span>';
	  	}
	  	// Rewrite the default SALE BADGE
		return $content;
	}
}

/**
||-> Since v1.8
||-> Function: CUSTOM STOCK
*/

if ( ! is_admin() ) {
	add_action('get_header', function() {
	    if (is_page_template('black-friday.php') || is_page_template('black-friday-template2.php') || is_page_template('black-friday-template3.php') || is_page_template('black-friday-template4.php') || is_page_template('black-friday-template5.php') || is_page_template('black-friday-template6.php') || is_page_template('black-friday-template7.php')) {
			add_action( 'woocommerce_before_shop_loop_item_title', 'mtbf_change_stock_content' );
	    }
	});

	if (!function_exists('mtbf_change_stock_content')) {
	    function mtbf_change_stock_content() {
	    	global $product;
	    	$stock = get_post_meta( get_the_ID(), '_stock', true );

	    	if ( !$product->managing_stock() ) {

		        // Get stock status
		        if ( method_exists( $product, 'get_stock_status' ) ) {
		            $stock_status = $product->get_stock_status();
		        }

		        // Check stock status, adjust the message accordingly
		        switch ( $stock_status ) {
		            case 'instock':
		                echo '<span class="onsale stock g">'.esc_html__('In Stock', 'mtbf').'</span>';
		                break;
		            case 'outofstock':
		                echo '<span class="onsale stock r">'.esc_html__('Sold Out', 'mtbf').'</span>';
		                break;
		            case 'onbackorder':
		                echo '<span class="onsale stock o">'.esc_html__('On Backorder', 'mtbf').'</span>';
		                break;
		        }

	    	} else {

	    		if ($stock>=99){
				    echo '<span class="onsale stock g">'.$stock.' '.esc_html__(' in stock', 'mtbf').'</span>';
				}elseif ($stock<=0) {
				 	 echo '<span class="onsale stock r">'.esc_html__('Sold Out', 'mtbf').'</span>';
				}elseif ($stock<=10) {
				 	 echo '<span class="onsale stock y">'.esc_html__('Last Items', 'mtbf').'</span>';
				}elseif ($stock<=20) {
				 	 echo '<span class="onsale stock o">'.esc_html__('Low Stock', 'mtbf').'</span>';
				}
	       }
		}  
	
	}
}

/**
||-> Since v1.2
||-> Function: PRICE HOW MUCH YOU SAVE + DISCOUNT PERCENTAGE
*/
if ( ! is_admin() ) {
	// $body_classes = get_body_class();
	// var_dump(get_body_class('page-template-black-friday'));
	// if (in_array('page-template-black-friday',$body_classes)) {

		function mtbf_sale_price_percentage_html( $price, $product ) {
		    // Only on sale products on frontend and excluding min/max price on variable products
		    if( $product->is_on_sale() && ! is_admin() && ! $product->is_type('variable')){
		        // Get product prices
		        $regular_price = (float) $product->get_regular_price(); // Regular price
		        $sale_price = (float) $product->get_price(); // Active price (the "Sale price" when on-sale)

		        // "Saving price" calculation and formatting
		        $saving_price = wc_price( $regular_price - $sale_price );

		        // "Saving Percentage" calculation and formatting
		        $precision = 1; // Max number of decimals
		        $saving_percentage = round( 100 - ( $sale_price / $regular_price * 100 ), 1 ) . '%';

		        // Append to the formated html price
		        $price .= sprintf( __('<p class="saved-sale">Save: %s <em>(%s)</em></p>', 'mtbf' ), $saving_price, $saving_percentage );
		    }
		    return $price;
		}
		if (get_option('mtbf_pricing_type') == 'save_percentage') {
			add_filter( 'woocommerce_get_price_html', 'mtbf_sale_price_percentage_html', 10, 2 );
		}

		if (get_option('mtbf_sale_price_prefix') != '') {
			function mtbf_sale_price_prefix( $price, $product ) {
			  	if ( $product->is_on_sale() ) {
				    $has_sale_text = array(
				      	'<ins>' => '<br><ins>'.get_option('mtbf_sale_price_prefix')
				    );
				    $return_string = str_replace(array_keys( $has_sale_text ), array_values( $has_sale_text ), $price);
				}

				return $return_string;
			}
			if (get_option('mtbf_pricing_type') == 'sale_price_prefix') {
				add_filter( 'woocommerce_get_price_html', 'mtbf_sale_price_prefix', 100, 2 );
			}
		}
	
}


// create custom plugin settings menu
if (!function_exists('mtbf_create_menu')) {
	function mtbf_create_menu() {
	    add_submenu_page(
	        'edit.php?post_type=mtbf',
	        'MTBF Settings',
	        'MTBF Settings',
	        'manage_options',
	        'mtbf_settings',
	        'mtbf_settings_page'
	    );
	}
	add_action('admin_menu', 'mtbf_create_menu');
}



// REGISTER MTBF SETTINGS PAGE
if (!function_exists('mtbf_register_page')) {
	function mtbf_register_page() {
		//register our settings
		register_setting( 'mtbf_settings', 'mtbf_active_campaign' );
		register_setting( 'mtbf_settings', 'mtbf_active_campaign2' );
		register_setting( 'mtbf_settings', 'mtbf_active_campaign3' );
		register_setting( 'mtbf_settings', 'mtbf_active_campaign4' );
		register_setting( 'mtbf_settings', 'mtbf_active_campaign5' );
		register_setting( 'mtbf_settings', 'mtbf_active_campaign6' );
		register_setting( 'mtbf_settings', 'mtbf_products_type' );
		register_setting( 'mtbf_settings', 'mtbf_ends_in_text' );
		register_setting( 'mtbf_settings', 'mtbf_shop_by_category_text' );
		register_setting( 'mtbf_settings', 'mtbf_see_more_products_text' );
		register_setting( 'mtbf_settings', 'mtbf_pricing_type' );
		register_setting( 'mtbf_settings', 'mtbf_sale_price_prefix' );
		register_setting( 'mtbf_settings', 'mtbf_video_coming_soon' );
		register_setting( 'mtbf_settings', 'mtbf_excluded_categories' );
		register_setting( 'mtbf_settings', 'mtbf_enable_sidebar' );
		register_setting( 'mtbf_settings', 'mtbf_enable_sticky_navigation' );
		register_setting( 'mtbf_settings', 'mtbf_enable_subcategories' );
	}
	add_action( 'admin_init', 'mtbf_register_page' );
}



// Black Friday & Cyber Monday Settings
if (!function_exists('mtbf_settings_page')) {
	function mtbf_settings_page() {
	?>
	<div class="wrap">
	<h1><?php echo esc_html__('Black Friday & Cyber Monday Settings', 'mtbf'); ?></h1>

	<div class="notice notice-success is-dismissible"> 
		<p><strong><?php echo esc_html__('Note: ', 'mtbf'); ?></strong><?php echo esc_html__('These options only apply to the Black Friday Page Template.', 'mtbf'); ?></p>
		<button type="button" class="notice-dismiss">
			<span class="screen-reader-text"><?php echo esc_html__('Dismiss this notice.', 'mtbf'); ?></span>
		</button>
	</div>

	<form method="post" action="options.php">
	    <?php settings_fields( 'mtbf_settings' ); ?>
	    <?php do_settings_sections( 'mtbf_settings' ); ?>

	    <table class="form-table">

	        <!-- SELECT CAMPAIGN DROPDOWN -->
	        <tr valign="top">
	        	<th scope="row"><?php echo esc_html__('Campaign for Template 1', 'mtbf'); ?></th>
	        	<td>
		            <select name="mtbf_active_campaign" id="mtbf_active_campaign" class="mtbf_active_campaign">
	                  	<?php 
	                        $args_posts = array(
	                              'posts_per_page'        => -1,
	                              'post_type'             => 'mtbf',
	                              'post_status'           => 'publish' 
	                        );
	                        $mtbfs = get_posts($args_posts); 
                        ?>

                        <option value="none"><?php esc_html_e('-Select Campaign-', 'mtbf'); ?></option>
                        <?php if ($mtbfs) { ?>
	                        <?php foreach ($mtbfs as $mtbf){ ?>
		                        <option value="<?php echo esc_attr($mtbf->ID); ?>" <?php if(get_option('mtbf_active_campaign') == $mtbf->ID){echo esc_html_e('selected', 'mtbf'); }; ?>>
		                        	<?php echo esc_html($mtbf->post_title); ?>
		                    	</option>
		                  	<?php } ?>
	                  	<?php } ?>
		            </select>
		            <p><i><?php echo esc_html__('The page template will show products only if a campaign is set on this dropdown. If no Campaigns are on the dropdown, add one from MT Black Friday.', 'mtbf'); ?></i></p>
	            </td>
	        </tr>

	        <tr valign="top">
	        	<th scope="row"><?php echo esc_html__('Campaign for Template 2', 'mtbf'); ?></th>
	        	<td>
		            <select name="mtbf_active_campaign2" id="mtbf_active_campaign2" class="mtbf_active_campaign2">
	                  	<?php 
	                        $args_posts = array(
	                              'posts_per_page'        => -1,
	                              'post_type'             => 'mtbf',
	                              'post_status'           => 'publish' 
	                        );
	                        $mtbfs = get_posts($args_posts); 
                        ?>

                        <option value="none"><?php esc_html_e('-Select Campaign-', 'mtbf'); ?></option>
                        <?php if ($mtbfs) { ?>
	                        <?php foreach ($mtbfs as $mtbf){ ?>
		                        <option value="<?php echo esc_attr($mtbf->ID); ?>" <?php if(get_option('mtbf_active_campaign2') == $mtbf->ID){echo esc_html_e('selected', 'mtbf'); }; ?>>
		                        	<?php echo esc_html($mtbf->post_title); ?>
		                    	</option>
		                  	<?php } ?>
	                  	<?php } ?>
		            </select>
		            <p><i><?php echo esc_html__('The page template will show products only if a campaign is set on this dropdown. If no Campaigns are on the dropdown, add one from MT Black Friday.', 'mtbf'); ?></i></p>
	            </td>
	        </tr>

	        <tr valign="top">
	        	<th scope="row"><?php echo esc_html__('Campaign for Template 3', 'mtbf'); ?></th>
	        	<td>
		            <select name="mtbf_active_campaign3" id="mtbf_active_campaign3" class="mtbf_active_campaign3">
	                  	<?php 
	                        $args_posts = array(
	                              'posts_per_page'        => -1,
	                              'post_type'             => 'mtbf',
	                              'post_status'           => 'publish' 
	                        );
	                        $mtbfs = get_posts($args_posts); 
                        ?>

                        <option value="none"><?php esc_html_e('-Select Campaign-', 'mtbf'); ?></option>
                        <?php if ($mtbfs) { ?>
	                        <?php foreach ($mtbfs as $mtbf){ ?>
		                        <option value="<?php echo esc_attr($mtbf->ID); ?>" <?php if(get_option('mtbf_active_campaign3') == $mtbf->ID){echo esc_html_e('selected', 'mtbf'); }; ?>>
		                        	<?php echo esc_html($mtbf->post_title); ?>
		                    	</option>
		                  	<?php } ?>
	                  	<?php } ?>
		            </select>
		            <p><i><?php echo esc_html__('The page template will show products only if a campaign is set on this dropdown. If no Campaigns are on the dropdown, add one from MT Black Friday.', 'mtbf'); ?></i></p>
	            </td>
	        </tr>

	        <tr valign="top">
	        	<th scope="row"><?php echo esc_html__('Campaign for Template 4', 'mtbf'); ?></th>
	        	<td>
		            <select name="mtbf_active_campaign4" id="mtbf_active_campaign4" class="mtbf_active_campaign4">
	                  	<?php 
	                        $args_posts = array(
	                              'posts_per_page'        => -1,
	                              'post_type'             => 'mtbf',
	                              'post_status'           => 'publish' 
	                        );
	                        $mtbfs = get_posts($args_posts); 
                        ?>

                        <option value="none"><?php esc_html_e('-Select Campaign-', 'mtbf'); ?></option>
                        <?php if ($mtbfs) { ?>
	                        <?php foreach ($mtbfs as $mtbf){ ?>
		                        <option value="<?php echo esc_attr($mtbf->ID); ?>" <?php if(get_option('mtbf_active_campaign4') == $mtbf->ID){echo esc_html_e('selected', 'mtbf'); }; ?>>
		                        	<?php echo esc_html($mtbf->post_title); ?>
		                    	</option>
		                  	<?php } ?>
	                  	<?php } ?>
		            </select>
		            <p><i><?php echo esc_html__('The page template will show products only if a campaign is set on this dropdown. If no Campaigns are on the dropdown, add one from MT Black Friday.', 'mtbf'); ?></i></p>
	            </td>
	        </tr>

	         <tr valign="top">
	        	<th scope="row"><?php echo esc_html__('Campaign for Template 5', 'mtbf'); ?></th>
	        	<td>
		            <select name="mtbf_active_campaign5" id="mtbf_active_campaign5" class="mtbf_active_campaign5">
	                  	<?php 
	                        $args_posts = array(
	                              'posts_per_page'        => -1,
	                              'post_type'             => 'mtbf',
	                              'post_status'           => 'publish' 
	                        );
	                        $mtbfs = get_posts($args_posts); 
                        ?>

                        <option value="none"><?php esc_html_e('-Select Campaign-', 'mtbf'); ?></option>
                        <?php if ($mtbfs) { ?>
	                        <?php foreach ($mtbfs as $mtbf){ ?>
		                        <option value="<?php echo esc_attr($mtbf->ID); ?>" <?php if(get_option('mtbf_active_campaign5') == $mtbf->ID){echo esc_html_e('selected', 'mtbf'); }; ?>>
		                        	<?php echo esc_html($mtbf->post_title); ?>
		                    	</option>
		                  	<?php } ?>
	                  	<?php } ?>
		            </select>
		            <p><i><?php echo esc_html__('The page template will show products only if a campaign is set on this dropdown. If no Campaigns are on the dropdown, add one from MT Black Friday.', 'mtbf'); ?></i></p>
	            </td>
	        </tr>

	        <tr valign="top">
	        	<th scope="row"><?php echo esc_html__('Campaign for Template 6', 'mtbf'); ?></th>
	        	<td>
		            <select name="mtbf_active_campaign6" id="mtbf_active_campaign6" class="mtbf_active_campaign6">
	                  	<?php 
	                        $args_posts = array(
	                              'posts_per_page'        => -1,
	                              'post_type'             => 'mtbf',
	                              'post_status'           => 'publish' 
	                        );
	                        $mtbfs = get_posts($args_posts); 
                        ?>

                        <option value="none"><?php esc_html_e('-Select Campaign-', 'mtbf'); ?></option>
                        <?php if ($mtbfs) { ?>
	                        <?php foreach ($mtbfs as $mtbf){ ?>
		                        <option value="<?php echo esc_attr($mtbf->ID); ?>" <?php if(get_option('mtbf_active_campaign6') == $mtbf->ID){echo esc_html_e('selected', 'mtbf'); }; ?>>
		                        	<?php echo esc_html($mtbf->post_title); ?>
		                    	</option>
		                  	<?php } ?>
	                  	<?php } ?>
		            </select>
		            <p><i><?php echo esc_html__('The page template will show products only if a campaign is set on this dropdown. If no Campaigns are on the dropdown, add one from MT Black Friday.', 'mtbf'); ?></i></p>
	            </td>
	        </tr>

	        <tr valign="top">
	        	<th scope="row"><h2><?php echo esc_html__('Custom Settings', 'mtbf'); ?></h2></th>
	        </tr>
	        
	        <!-- Enbale sticky navigation -->
	        <tr valign="top">
	        	<th scope="row"><?php echo esc_html__('Enable Sticky Navigation', 'mtbf'); ?></th>
	        	<td>
		            <select name="mtbf_enable_sticky_navigation" id="mtbf_enable_sticky_navigation" class="mtbf_enable_sticky_navigation">
	                    <option value="disabled" <?php if(get_option('mtbf_enable_sticky_navigation') == 'disabled'){echo esc_html_e('selected', 'mtbf'); }; ?>><?php esc_html_e('Disabled', 'mtbf'); ?></option>
	                    <option value="enabled" <?php if(get_option('mtbf_enable_sticky_navigation') == 'enabled'){echo esc_html_e('selected', 'mtbf'); }; ?>><?php esc_html_e('Enabled', 'mtbf'); ?></option>
		            </select>
		            <p><i><?php echo esc_html__('This setting is available for ALL Templates.', 'mtbf'); ?></i></p>
	            </td>
	        </tr>
	        <!-- Enbale sticky navigation -->
	        <tr valign="top">
	        	<th scope="row"><?php echo esc_html__('Enable Sidebar', 'mtbf'); ?></th>
	        	<td>
		            <select name="mtbf_enable_sidebar" id="mtbf_enable_sidebar" class="mtbf_enable_sidebar">
		            	<option value="enabled" <?php if(get_option('mtbf_enable_sidebar') == 'enabled'){echo esc_html_e('selected', 'mtbf'); }; ?>><?php esc_html_e('Visible', 'mtbf'); ?></option>
	                    <option value="disabled" <?php if(get_option('mtbf_enable_sidebar') == 'disabled'){echo esc_html_e('selected', 'mtbf'); }; ?>><?php esc_html_e('Hide', 'mtbf'); ?></option>
		            </select>
		            <p><i><?php echo esc_html__('This setting is available for ALL Templates.', 'mtbf'); ?></i></p>
	            </td>
	        </tr>
	        <!-- Enable Subcategories -->
	        <tr valign="top">
	        	<th scope="row"><?php echo esc_html__('Turn Sidebar in Subcategories', 'mtbf'); ?></th>
	        	<td>
		            <select name="mtbf_enable_subcategories" id="mtbf_enable_subcategories" class="mtbf_enable_subcategories">
	                    <option value="disabled" <?php if(get_option('mtbf_enable_subcategories') == 'disabled'){echo esc_html_e('selected', 'mtbf'); }; ?>><?php esc_html_e('Disabled', 'mtbf'); ?></option>
	                    <option value="enabled" <?php if(get_option('mtbf_enable_subcategories') == 'enabled'){echo esc_html_e('selected', 'mtbf'); }; ?>><?php esc_html_e('Enabled', 'mtbf'); ?></option>
		            </select>
		            <p><i><?php echo esc_html__('This settings is available only for templates with category sidebar. For Template 1, Template 4 and Template 5. ', 'mtbf'); ?></i></p>
	            </td>
	        </tr>

	        <tr valign="top">
	        	<th scope="row"><h2>Preferences</h2></th>
	        </tr>

	        <!-- SELECT CAMPAIGN DROPDOWN -->
	        <tr valign="top">
	        	<th scope="row"><?php echo esc_html__('Select Products to Show', 'mtbf'); ?></th>
	        	<td>
		            <select name="mtbf_products_type" id="mtbf_products_type" class="mtbf_products_type">
	                    <option value="none"><?php esc_html_e('-Select Option-', 'mtbf'); ?></option>
	                    <option value="sale_products" <?php if(get_option('mtbf_products_type') == 'sale_products'){echo esc_html_e('selected', 'mtbf'); }; ?>><?php esc_html_e('Products On-Sale', 'mtbf'); ?></option>
	                    <option value="all_products" <?php if(get_option('mtbf_products_type') == 'all_products'){echo esc_html_e('selected', 'mtbf'); }; ?>><?php esc_html_e('All Products', 'mtbf'); ?></option>
		            </select>
		            <p><i><?php echo esc_html__('Select want kind of products needs to be listed on the Black Friday Page Template.', 'mtbf'); ?></i></p>
	            </td>
	        </tr>

	    	<!-- ENDS IN TEXT -->
	        <tr valign="top">
	        	<th scope="row"><?php echo esc_html__('Campaign Ends In Text', 'mtbf'); ?></th>
	        	<td>
	        		<input type="text" name="mtbf_ends_in_text" value="<?php echo esc_attr( get_option('mtbf_ends_in_text') ); ?>" />
		            <p><i><?php echo esc_html__('When the Campaign is active, this text will be shown before the time countdown.', 'mtbf'); ?></i></p>
	        	</td>
	        </tr>
	        <!-- SHOP BY CATEGORY TEXT -->
	        <tr valign="top">
	        	<th scope="row"><?php echo esc_html__('Shop by category text', 'mtbf'); ?></th>
	        	<td>
	        		<input type="text" name="mtbf_shop_by_category_text" value="<?php echo esc_attr( get_option('mtbf_shop_by_category_text') ); ?>" />
		            <p><i><?php echo esc_html__('When the Campaign is active, this text will be shown before category list (left side).', 'mtbf'); ?></i></p>
	        	</td>
	        </tr>
	        <!-- SEE MORE PRODUCTS TEXT -->
	        <tr valign="top">
	        	<th scope="row"><?php echo esc_html__('See more products link text', 'mtbf'); ?></th>
	        	<td>
	        		<input type="text" name="mtbf_see_more_products_text" value="<?php echo esc_attr( get_option('mtbf_see_more_products_text') ); ?>" />
		            <p><i><?php echo esc_html__('When the Campaign is active, this text will be shown at the end of the products from each category.', 'mtbf'); ?></i></p>
	        	</td>
	        </tr>
	        <!-- Pricing Display Type -->
	        <tr valign="top">
	        	<th scope="row"><?php echo esc_html__('Pricing Type', 'mtbf'); ?></th>
	        	<td>
		            <select name="mtbf_pricing_type" id="mtbf_pricing_type" class="mtbf_pricing_type">
	                    <option value=""><?php esc_html_e('Default - No extra discount information', 'mtbf'); ?></option>
	                    <option value="save_percentage" <?php if(get_option('mtbf_pricing_type') == 'save_percentage'){echo esc_html_e('selected', 'mtbf'); }; ?>><?php esc_html_e('Save Percentage', 'mtbf'); ?></option>
	                    <option value="sale_price_prefix" <?php if(get_option('mtbf_pricing_type') == 'sale_price_prefix'){echo esc_html_e('selected', 'mtbf'); }; ?>><?php esc_html_e('Sale Price Prefix', 'mtbf'); ?></option>
		            </select>
		            <p><i><?php echo esc_html__('Select pricing type for the products. Eg: Save: $x.xx (x%) below the price.', 'mtbf'); ?></i></p>
	        	</td>
	        </tr>
	    	<!-- ENDS IN TEXT -->
	        <tr valign="top">
	        	<th scope="row"><?php echo esc_html__('Sale Price Prefix', 'mtbf'); ?></th>
	        	<td>
	        		<input type="text" name="mtbf_sale_price_prefix" value="<?php echo esc_attr( get_option('mtbf_sale_price_prefix') ); ?>" />
		            <p><i><?php echo esc_html__('Can only be used when Pricing Type is set to "Sale Price Prefix"', 'mtbf'); ?></i></p>
	        	</td>
	        </tr>
	        <!-- Pricing Display Type -->
	        <tr valign="top">
	        	<th scope="row"><?php echo esc_html__('Video URL', 'mtbf'); ?></th>
	        	<td>
	        		<input type="text" name="mtbf_video_coming_soon" value="<?php echo esc_attr( get_option('mtbf_video_coming_soon') ); ?>" />
		            <p><i><?php echo esc_html__('Can only be used for Coming Soon Template', 'mtbf'); ?></i></p>
	        	</td>
	        </tr>
	    	<!-- ENDS IN TEXT -->
	        <tr valign="top">
	        	<th scope="row"><?php echo esc_html__('Exclude Categories', 'mtbf'); ?></th>
	        	<td>
				   	<?php $selected = ''; ?>
				   	<?php $mtbf_excluded_categories = get_option('mtbf_excluded_categories'); ?>
					<select multiple="multiple" name="mtbf_excluded_categories[]" size="10">
					   	<?php if (isset($mtbf_excluded_categories) && !is_null($mtbf_excluded_categories)) { ?>
					   		<?php $selected = in_array( "0", $mtbf_excluded_categories ) ? ' selected="selected" ' : ''; ?>
					   	<?php } ?>
				    	<option value="0" <?php echo $selected; ?>>
				    		<?php echo esc_html__('-No Need to Exclude Categories-', 'mtbf'); ?>
			    		</option>
					   	<?php 
					   	$categories = get_terms( 
							            'product_cat', 
							            array( 
							                'parent' => 0, 
							                'orderby' => 'slug',
							                'hide_empty' => 1,
							            )
							        );
					   	foreach ($categories as $category) { ?>
					   	<?php if (isset($mtbf_excluded_categories) && !is_null($mtbf_excluded_categories)) { ?>
					   		<?php $selected = in_array( $category->term_id, $mtbf_excluded_categories ) ? ' selected="selected" ' : ''; ?>
					   	<?php } ?>
					    	<option value="<?php echo $category->term_id; ?>" <?php echo $selected; ?> >
					          <?php echo $category->name; ?>
					       	</option>
					   	<?php } //endforeach ?>
					</select>
		            <p><i><?php echo esc_html__('The selected categories will be excluded from the campaign.', 'mtbf'); ?></i></p>
	        	</td>
	        </tr>

	    </table>
	    
	    <?php submit_button(); ?>
	</form>
	</div>
	<?php } ?>
<?php } 


// BLACK FRIDAY PAGE TEMPLATE
if (!class_exists('MTBF_Page_Templates')) {
	class MTBF_Page_Templates {
	  /**
	   * A reference to an instance of this class.
	   */
	  private static $instance;
	  /**
	   * The array of templates that this plugin tracks.
	   */
	  protected $templates;
	  /**
	   * Returns an instance of this class. 
	   */
	  public static function mtbf_get_instance() {
	    if ( null == self::$instance ) {
	      self::$instance = new MTBF_Page_Templates();
	    } 
	    return self::$instance;
	  } 
	  /**
	   * Initializes the plugin by setting filters and administration functions.
	   */
	  private function __construct() {
	    $this->templates = array();
	    // Add a filter to the attributes metabox to inject template into the cache.
	    if ( version_compare( floatval( get_bloginfo( 'version' ) ), '4.7', '<' ) ) {
	      // 4.6 and older
	      add_filter(
	        'page_attributes_dropdown_pages_args',
	        array( $this, 'mtbf_register_project_templates' )
	      );
	    } else {
	      // Add a filter to the wp 4.7 version attributes metabox
	      add_filter(
	        'theme_page_templates', array( $this, 'mtbf_add_new_template' )
	      );
	    }
	    // Add a filter to the save post to inject out template into the page cache
	    add_filter(
	      'wp_insert_post_data', 
	      array( $this, 'mtbf_register_project_templates' ) 
	    );
	    // Add a filter to the template include to determine if the page has our 
	    // template assigned and return it's path
	    add_filter(
	      'template_include', 
	      array( $this, 'mtbf_view_project_template') 
	    );
	    // Add your templates to this array.
	    $this->templates = array(
	      'black-friday.php' => 'Black Friday',
	      'black-friday-template2.php' => 'Black Friday 2',
	      'black-friday-template3.php' => 'Black Friday 3',
	      'black-friday-template4.php' => 'Black Friday 4',
	      'black-friday-template5.php' => 'Black Friday 5',
	      'black-friday-template6.php' => 'Coming Soon',
	    );
	      
	  } 
	  /**
	   * Adds our template to the page dropdown for v4.7+
	   *
	   */
	  public function mtbf_add_new_template( $posts_templates ) {
	    $posts_templates = array_merge( $posts_templates, $this->templates );
	    return $posts_templates;
	  }
	  /**
	   * Adds our template to the pages cache in order to trick WordPress
	   * into thinking the template file exists where it doens't really exist.
	   */
	  public function mtbf_register_project_templates( $atts ) {
	    // Create the key used for the themes cache
	    $cache_key = 'page_templates-' . md5( get_theme_root() . '/' . get_stylesheet() );
	    // Retrieve the cache list. 
	    // If it doesn't exist, or it's empty prepare an array
	    $templates = wp_get_theme()->get_page_templates();
	    if ( empty( $templates ) ) {
	      $templates = array();
	    } 
	    // New cache, therefore remove the old one
	    wp_cache_delete( $cache_key , 'themes');
	    // Now add our template to the list of templates by merging our templates
	    // with the existing templates array from the cache.
	    $templates = array_merge( $templates, $this->templates );
	    // Add the modified cache to allow WordPress to pick it up for listing
	    // available templates
	    wp_cache_add( $cache_key, $templates, 'themes', 1800 );
	    return $atts;
	  } 
	  /**
	   * Checks if the template is assigned to the page
	   */
	  public function mtbf_view_project_template( $template ) {
	    
	    // Get global post
	    global $post;
	    // Return template if post is empty
	    if ( ! $post ) {
	      return $template;
	    }
	    // Return default template if we don't have a custom one defined
	    if ( ! isset( $this->templates[get_post_meta( 
	      $post->ID, '_wp_page_template', true 
	    )] ) ) {
	      return $template;
	    } 
	    $file = plugin_dir_path( __FILE__ ). get_post_meta( 
	      $post->ID, '_wp_page_template', true
	    );
	    // Just to be safe, we check if the file exist first
	    if ( file_exists( $file ) ) {
	      return $file;
	    } else {
	      echo $file;
	    }
	    // Return template
	    return $template;
	  }
	} 
	add_action( 'plugins_loaded', array( 'MTBF_Page_Templates', 'mtbf_get_instance' ) );
}