<?php
/**
 * The Template for displaying product archives, including the main shop page which is a post type archive.
 *
 * Override this template by copying it to yourtheme/woocommerce/archive-product.php
 *
 * @package 	WooCommerce/Templates
 * @version     3.7.0
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
get_header( 'shop' ); ?>
<?php
	/**
	 * woocommerce_before_main_content hook
	 *
	 * @hooked woocommerce_output_content_wrapper - 10 (outputs opening divs for the content)
	 * @hooked woocommerce_breadcrumb - 20
	 */
	do_action( 'woocommerce_before_main_content' );
?>

<?php
  /* Compaign ID */
  $compaign_id = get_term_meta(get_queried_object_id(), 'mtbf_wh_meta_compaign', true);
  /* Custom Header Options */
  $mtbf_header_logo = get_post_meta( $compaign_id, 'mtbf_header_logo', true );
  $mtbf_header_logo_url = get_post_meta( $compaign_id, 'mtbf_header_logo_url', true );
  $mtbf_header_bg = get_post_meta( $compaign_id, 'mtbf_header_bg', true );
  $mtbf_header_back_to_website_url = get_post_meta( $compaign_id, 'mtbf_header_back_to_website_url', true );
  $mtbf_header_back_to_website_url_label = get_post_meta( $compaign_id, 'mtbf_header_back_to_website_url_label', true );
  
  /* Background After Header */
  $mtbf_after_header_bg = get_post_meta( $compaign_id, 'mtbf_after_header_bg', true );
  /* Body Styling */
  $mtbf_body_bg = get_post_meta( $compaign_id, 'mtbf_body_bg', true );
  $mtbf_body_bg_color = get_post_meta( $compaign_id, 'mtbf_body_bg_color', true );
  /* Products Grid Options */
  $mtbf_archive_grid_prods_per_row = get_post_meta( $compaign_id, 'mtbf_archive_grid_prods_per_row', true );
  $mtbf_archive_grid_prods_limit = get_post_meta( $compaign_id, 'mtbf_archive_grid_prods_limit', true );
  /* Extra Options ( CSS Classes/IDs for Blocks to Hide ) */
  $mtbf_extra_classes_to_hide = get_post_meta( $compaign_id, 'mtbf_extra_classes_to_hide', true );
  /* Time Datas -> Opening -> Ending Dates */
  $mtbf_datetime_start_date = get_post_meta( $compaign_id, 'mtbf_datetime_start_date', true );
  $mtbf_datetime_start_time = get_post_meta( $compaign_id, 'mtbf_datetime_start_time', true );
  $mtbf_datetime_end_date = get_post_meta( $compaign_id, 'mtbf_datetime_end_date', true );
  $mtbf_datetime_end_time = get_post_meta( $compaign_id, 'mtbf_datetime_end_time', true );
  $dateStart = date("Y/m/d H:i:s", strtotime(esc_html($mtbf_datetime_start_date) . ' ' . esc_html($mtbf_datetime_start_time)));
  $dateEnd = date("Y/m/d H:i:s", strtotime(esc_html($mtbf_datetime_end_date) . ' ' . esc_html($mtbf_datetime_end_time)));
?>
<?php if(get_post_status($compaign_id) == 'publish') { ?>
<style type="text/css">
  body <?php echo esc_html($mtbf_extra_classes_to_hide); ?> {
    display: none !important;
  }
</style>
<div class="black-friday" style="background: url(<?php echo esc_attr($mtbf_body_bg) . ') ' . esc_attr($mtbf_body_bg_color); ?>">
<?php if(!empty($mtbf_header_logo) || !empty($mtbf_header_back_to_website_url_label)) { ?>
  <nav class="navbar-blackgriday" id="blackgriday-main-head" style="background:<?php echo esc_attr($mtbf_header_bg); ?>">
     <div class="container">
        <div class="row">
           <div class="navbar-header col-md-3 col-sm-12">
              <h1 class="logo logo-image">
              	<a href="<?php echo esc_url($mtbf_header_logo_url); ?>">
              		<img src="<?php echo esc_url($mtbf_header_logo); ?>" alt="mtbf-logo">
              	</a>
              </h1>
           </div>
           <div class="back-website col-md-9 col-sm-12 text-right">
              <a href="<?php echo esc_url($mtbf_header_back_to_website_url); ?>"><?php esc_html_e($mtbf_header_back_to_website_url_label) ?></a>
           </div>
        </div>
     </div>
  </nav>
<?php } ?>
<?php if(!empty($mtbf_after_header_bg)) { ?>
<div class="black-friday-slider">
  <img src="<?php echo esc_url($mtbf_after_header_bg); ?>" alt="mtbf-header-bg">
  <div class="mtbf-campaign-remaining-time">
    <?php if($mtbf_datetime_end_date != '' && $mtbf_datetime_end_time != '') { ?>
      <?php 
        $dateEnd = date("Y/m/d H:i:s", strtotime(esc_html($mtbf_datetime_end_date) . ' ' . esc_html($mtbf_datetime_end_time)));
      ?>
      <?php echo do_shortcode('[mt-countdown date="'.esc_attr($dateEnd).'"]'); ?>
    <?php } ?>
  </div>
</div>
<?php } ?>
<?php $terms = get_terms( array('taxonomy' => 'product_cat','hide_empty' => false, 'parent' => 0 ) ); ?>
<?php $term_children = get_term_children( get_queried_object()->term_id, 'product_cat' ); ?>
<div class="high-padding">
	<div class="container">
      <div class="row">
        <div class="col-md-12">
          <ul class="nav-categories">     
            <?php $class_active = ''; ?>  
            <?php foreach ($terms as $term) { ?>
              <?php if(!empty(get_queried_object()->term_id)) { ?>
                <?php $compaign_id = get_term_meta($term->term_id, 'mtbf_wh_meta_compaign', true); ?>
                <?php if( !empty($compaign_id) ) { ?>
                  <?php  if($compaign_id != 'none') { ?>
                 
                  <?php  if(get_queried_object()->term_id === $term->term_id) { $class_active = 'active'; } else { $class_active = ''; } ?>
                  <li class="category-element <?php echo esc_attr($class_active); ?>">
                    <a href="<?php echo esc_url(get_term_link($term)) ?>"><span><?php esc_html_e($term->name); ?></span></a>
                  </li> 
                  <?php } ?>  
                <?php } ?>
              <?php } ?>    
            <?php } ?>
          </ul>
        </div>
      </div>
    	<div id="bf-content" class="row section-products">
        <?php if(!empty($term_children)) { ?>
          <div id="bf-sidebar" class="col-md-3">
            <div class="subcategories-section">
              <h3 class="active-category"><?php esc_html_e(get_queried_object()->name,'mtbf'); ?></h3>
              <ul class="nav-subcategories"> 
                <?php $class_active = ''; ?> 
                <?php foreach ($term_children as $child) { ?>
                  <?php $term_child = get_term_by( 'id', $child, 'product_cat' ); ?>
                    <li class="subcategory-element">
                      <a href="#section-product-item-<?php echo esc_attr($term_child->term_id); ?>"><span><?php esc_html_e($term_child->name); ?></span></a>
                    </li>
                <?php } ?>
              </ul>
            </div>
          </div>
        <?php } ?>
        <?php $products_elements_columns = ''; ?>
        <?php if(!empty($term_children)) { 
          $products_elements_columns = 'col-md-9';
        } else {
          $products_elements_columns = 'col-md-12';
        }
        ?>
    		<div class="<?php echo esc_attr($products_elements_columns); ?>">
          <?php $class_active = ''; ?> 
          <?php if(!empty($term_children)) { ?>
            <?php foreach ($term_children as $child) { ?>
              <?php $term_child = get_term_by( 'id', $child, 'product_cat' ); ?>
              <?php if($term_child->count > 0) { ?> 
                <div class="section-product-item" id="section-product-item-<?php echo esc_attr($term_child->term_id); ?>">
                  <div class="products-title"><h1><?php esc_html_e($term_child->name) ?></h1></div>
                  <div class="products-elements">
                    <?php echo do_shortcode('[products limit="'.esc_attr($mtbf_archive_grid_prods_limit).'" columns="'.esc_attr($mtbf_archive_grid_prods_per_row).'" category="'.esc_attr($term_child->slug).'"]'); ?>
                  </div>               
                  <div class="section-show-more">
                    <a href="<?php echo esc_url(get_term_link($term_child)) ?>"><span><?php esc_html_e('View More Products','mtbf'); ?></span></a>
                  </div>                
                </div>
              <?php } else { ?>
                  <div class="section-product-item" id="section-product-item-<?php echo esc_attr($term_child->term_id); ?>">
                    <div class="products-title"><h1><?php esc_html_e($term_child->name) ?></h1></div>
                    <?php wc_get_template( 'loop/no-products-found.php' ); ?>
                  </div>
              <?php } ?>
            <?php } ?>
          <?php } else { ?>
              <div id="section-product-item-<?php echo esc_attr($term->term_id); ?>">
                <div class="products-title"><h1><?php esc_html_e(get_queried_object()->name,'mtbf') ?></h1></div>
                <div class="products-elements">
                  <?php if (get_option('mtbf_products_type') == 'sale_products') {
                      echo do_shortcode('[products  on_sale="true" columns="4" limit="'.esc_attr($mtbf_archive_grid_prods_limit).'" category="'.esc_attr(get_queried_object()->slug).'"]');
                  }elseif (get_option('mtbf_products_type') == 'all_products') {
                      echo do_shortcode('[products  columns="4" limit="'.esc_attr($mtbf_archive_grid_prods_limit).'" category="'.esc_attr(get_queried_object()->slug).'"]');
                  }else{
                      echo do_shortcode('[products  columns="4" limit="'.esc_attr($mtbf_archive_grid_prods_limit).'" category="'.esc_attr(get_queried_object()->slug).'"]');
                  } ?>
 
                </div>
              </div>
          <?php } ?>
    		</div>
		</div>
	</div>
</div>
</div>
<?php } ?> <!-- check if page has status published -->
<?php get_footer( 'shop' ); ?>